<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="APIAccessControllerModuleTemplates.xsl"/>
	
	<!-- Module XSL variables  -->
	<xsl:variable name="java.extensionViewTitle">API-tkomst</xsl:variable>
	<xsl:variable name="java.settingsUpdated">Uppdaterade API-tkomstinstllningar</xsl:variable>
	<xsl:variable name="java.settingsRemoved">Inaktiverade API-tkomst</xsl:variable>
	
	<!-- Validation -->
	<xsl:variable name="i18n.Validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	
	<xsl:variable name="i18n.Update">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.Update.title">ndra API-tkomstinstllningar fr </xsl:variable>
	<xsl:variable name="i18n.Update.description">Hr kan du vlja vilka API-anvndare som ska f tkomst till den hr e-tjnsten via API:erna.</xsl:variable>
	<xsl:variable name="i18n.Update.submit">Spara instllningar</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.Settings.allowedUsers">Anvndare med API-tkomst</xsl:variable>
	<xsl:variable name="i18n.Settings.allowedUsers.empty">Inga anvndare har API-tkomst till den hr e-tjnsten.</xsl:variable>
	
</xsl:stylesheet>
