
package org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MailDto complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MailDto">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ObjectDto">
 *       &lt;sequence>
 *         &lt;element name="Attachments" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfFileDto" minOccurs="0"/>
 *         &lt;element name="Bcc" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfMailAddressDto" minOccurs="0"/>
 *         &lt;element name="Cc" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfMailAddressDto" minOccurs="0"/>
 *         &lt;element name="From" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}MailAddressDto" minOccurs="0"/>
 *         &lt;element name="Headers" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfMailHeaderDto" minOccurs="0"/>
 *         &lt;element name="HtmlBody" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MessageRawData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="SendMail" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="Subject" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TextBody" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="To" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfMailAddressDto" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MailDto", propOrder = {
    "attachments",
    "bcc",
    "cc",
    "from",
    "headers",
    "htmlBody",
    "messageRawData",
    "sendMail",
    "subject",
    "textBody",
    "to"
})
public class MailDto
    extends ObjectDto
    implements Serializable
{

    private static final long serialVersionUID = 4543956029004885467L;
	@XmlElement(name = "Attachments", nillable = true)
    protected ArrayOfFileDto attachments;
    @XmlElement(name = "Bcc", nillable = true)
    protected ArrayOfMailAddressDto bcc;
    @XmlElement(name = "Cc", nillable = true)
    protected ArrayOfMailAddressDto cc;
    @XmlElement(name = "From", nillable = true)
    protected MailAddressDto from;
    @XmlElement(name = "Headers", nillable = true)
    protected ArrayOfMailHeaderDto headers;
    @XmlElement(name = "HtmlBody", nillable = true)
    protected String htmlBody;
    @XmlElement(name = "MessageRawData", nillable = true)
    protected byte[] messageRawData;
    @XmlElement(name = "SendMail")
    protected Boolean sendMail;
    @XmlElement(name = "Subject", nillable = true)
    protected String subject;
    @XmlElement(name = "TextBody", nillable = true)
    protected String textBody;
    @XmlElement(name = "To", nillable = true)
    protected ArrayOfMailAddressDto to;

    /**
     * Gets the value of the attachments property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfFileDto }
     *     
     */
    public ArrayOfFileDto getAttachments() {
        return attachments;
    }

    /**
     * Sets the value of the attachments property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfFileDto }
     *     
     */
    public void setAttachments(ArrayOfFileDto value) {
        this.attachments = value;
    }

    /**
     * Gets the value of the bcc property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public ArrayOfMailAddressDto getBcc() {
        return bcc;
    }

    /**
     * Sets the value of the bcc property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public void setBcc(ArrayOfMailAddressDto value) {
        this.bcc = value;
    }

    /**
     * Gets the value of the cc property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public ArrayOfMailAddressDto getCc() {
        return cc;
    }

    /**
     * Sets the value of the cc property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public void setCc(ArrayOfMailAddressDto value) {
        this.cc = value;
    }

    /**
     * Gets the value of the from property.
     * 
     * @return
     *     possible object is
     *     {@link MailAddressDto }
     *     
     */
    public MailAddressDto getFrom() {
        return from;
    }

    /**
     * Sets the value of the from property.
     * 
     * @param value
     *     allowed object is
     *     {@link MailAddressDto }
     *     
     */
    public void setFrom(MailAddressDto value) {
        this.from = value;
    }

    /**
     * Gets the value of the headers property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfMailHeaderDto }
     *     
     */
    public ArrayOfMailHeaderDto getHeaders() {
        return headers;
    }

    /**
     * Sets the value of the headers property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfMailHeaderDto }
     *     
     */
    public void setHeaders(ArrayOfMailHeaderDto value) {
        this.headers = value;
    }

    /**
     * Gets the value of the htmlBody property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHtmlBody() {
        return htmlBody;
    }

    /**
     * Sets the value of the htmlBody property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHtmlBody(String value) {
        this.htmlBody = value;
    }

    /**
     * Gets the value of the messageRawData property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getMessageRawData() {
        return messageRawData;
    }

    /**
     * Sets the value of the messageRawData property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setMessageRawData(byte[] value) {
        this.messageRawData = value;
    }

    /**
     * Gets the value of the sendMail property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSendMail() {
        return sendMail;
    }

    /**
     * Sets the value of the sendMail property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSendMail(Boolean value) {
        this.sendMail = value;
    }

    /**
     * Gets the value of the subject property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubject() {
        return subject;
    }

    /**
     * Sets the value of the subject property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubject(String value) {
        this.subject = value;
    }

    /**
     * Gets the value of the textBody property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTextBody() {
        return textBody;
    }

    /**
     * Sets the value of the textBody property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTextBody(String value) {
        this.textBody = value;
    }

    /**
     * Gets the value of the to property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public ArrayOfMailAddressDto getTo() {
        return to;
    }

    /**
     * Sets the value of the to property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfMailAddressDto }
     *     
     */
    public void setTo(ArrayOfMailAddressDto value) {
        this.to = value;
    }

}
