package com.nordicpeak.flowengine.booking.events;

import java.io.Serializable;

import com.nordicpeak.flowengine.booking.beans.BookingSlot;

public class BookingSlotDeletedEvent implements Serializable {

	private static final long serialVersionUID = -2388474140483146725L;

	private final BookingSlot bookingSlot;

	public BookingSlotDeletedEvent(BookingSlot bookingSlot) {

		this.bookingSlot = bookingSlot;
	}

	public BookingSlot getBookingSlot() {

		return bookingSlot;
	}

	@Override
	public String toString() {

		return "BookingSlotDeletedEvent (bookingSlot=" + bookingSlot + ")";
	}

}
