package com.nordicpeak.flowengine.booking.populators;

import se.unlogic.standardutils.populators.IntegerPopulator;
import se.unlogic.standardutils.validation.StringIntegerValidator;

public class AtLeastTwoStringIntegerPopulator extends IntegerPopulator {

	private static final AtLeastTwoStringIntegerPopulator POPULATOR = new AtLeastTwoStringIntegerPopulator();

	public static AtLeastTwoStringIntegerPopulator getPopulator() {

		return POPULATOR;
	}

	public AtLeastTwoStringIntegerPopulator() {

		super(null, new StringIntegerValidator(2, null));
	}
}
