package com.nordicpeak.flowengine.integration.boverket.beans;

import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;
import se.unlogic.standardutils.xml.XMLParser;

@XMLElement
public class Errand extends GeneratedElementable {

	@XMLElement
	private String uuid;

	@XMLElement
	private String status;

	@XMLElement
	private String behorigUUID;

	@XMLElement
	private String controlPlanUUID;

	@XMLElement(fixCase = true)
	private ControlPlan controlPlan;

	public Errand(XMLParser xmlParser) {

		uuid = xmlParser.getString("UUID");
		status = xmlParser.getString("Lovarendestatus/Varde");
		behorigUUID = xmlParser.getString("Behorig_UUID");
		controlPlanUUID = xmlParser.getString("Kontrollplan_UUID");

	}

	public String getUuid() {

		return uuid;
	}

	public void setUuid(String uuid) {

		this.uuid = uuid;
	}

	public String getStatus() {

		return status;
	}

	public void setStatus(String status) {

		this.status = status;
	}

	public String getBehorigUUID() {

		return behorigUUID;
	}

	public void setBehorigUUID(String behorigUUID) {

		this.behorigUUID = behorigUUID;
	}

	public String getControlPlanUUID() {

		return controlPlanUUID;
	}

	public void setControlPlanUUID(String controlPlanUUID) {

		this.controlPlanUUID = controlPlanUUID;
	}

	public ControlPlan getControlPlan() {

		return controlPlan;
	}

	public void setControlPlan(ControlPlan controlPlan) {

		this.controlPlan = controlPlan;
	}
	
	@Override
	public String toString() {

		return uuid;
	}

}
