<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="ChangeOwnerModuleTemplates.xsl"/>

	<xsl:variable name="java.extensionViewTitle">verlt rende</xsl:variable>
	<xsl:variable name="java.flowEventDescription">verlt rende</xsl:variable>
	<xsl:variable name="java.changeOwner">verlt rende</xsl:variable>
	<xsl:variable name="java.requestWaiting">Vntar p verltande</xsl:variable>
	<xsl:variable name="java.requestDenied">verltande nekat</xsl:variable>
	<xsl:variable name="java.notificationPostedByManager">Handlggare</xsl:variable>
	<xsl:variable name="java.notificationNewOwnershipchangeRequest">verltelsefrfrgan</xsl:variable>
	
	<xsl:variable name="java.newRequestSMS">Du har ftt en verltelsefrfrgan fr rende $flow.name. Logga in p mina sidor fr att visa rendet: $changeOwnerRequest.URL</xsl:variable>
	<xsl:variable name="java.newRequestEmailSubject">verltelsefrfrgan fr rende $flow.name</xsl:variable>
	<xsl:variable name="java.newRequestEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Du har ftt en verltelsefrfrgan fr rende $flow.name frn $poster.firstname $poster.lastname.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att acceptera eller neka frfrgan:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$changeOwnerRequest.URL"&gt;$changeOwnerRequest.URL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.revokedRequestSMS">$poster.firstname har dragit tillbaka verltelsefrfrgan fr rende $flow.name</xsl:variable>
	<xsl:variable name="java.revokedRequestEmailSubject">terkallad verltelsefrfrgan fr rende $flow.name</xsl:variable>
	<xsl:variable name="java.revokedRequestEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;$poster.firstname $poster.lastname har dragit tillbaka verltelsefrfrgan fr rende $flow.name.&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.acceptedRequestSMS">$contact.firstname $contact.lastname har accepterat verltelsefrfrgan fr rende $flow.name.</xsl:variable>
	<xsl:variable name="java.acceptedRequestEmailSubject">Accepterad verltelsefrfrgan fr rende $flow.name</xsl:variable>
	<xsl:variable name="java.acceptedRequestEmailMessage">
	
		&lt;p&gt;$contact.firstname $contact.lastname har accepterat verltelsefrfrgan fr rende $flow.name&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.declinedRequestSMS">$contact.firstname $contact.lastname har nekat verltelsefrfrgan fr rende $flow.name.</xsl:variable>
	<xsl:variable name="java.declinedRequestEmailSubject">Nekad verltelsefrfrgan fr rende $flow.name</xsl:variable>
	<xsl:variable name="java.declinedRequestEmailMessage">
	
		&lt;p&gt;$contact.firstname $contact.lastname har nekat verltelsefrfrgan fr rende $flow.name&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa verltelsefrfrgan:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$changeOwnerRequest.URL"&gt;$changeOwnerRequest.URL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.changeOwnerMessage">	
		&lt;p&gt;Sparade renden fr den hr e-tjnsten kan verltas till andra personer om du vill att ngon annan ska slutfra och skicka in rendet. Klicka &lt;a href="$changeOwnerRequest.URL"&gt;hr&lt;/a&gt; fr att verlta rendet.&lt;/p&gt;				
	</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" >Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat" >Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort" >Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong" >Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError" >Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault" >Ett oknt valideringsfel har uppsttt.</xsl:variable>
	<xsl:variable name="i18n.validation.EmailOrPhoneRequired" >Du mste fylla i e-post eller mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.CitizenID">Personnummer</xsl:variable>
	<xsl:variable name="i18n.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.Firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.Lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.Mobilephone">Mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.Request">verltelsefrfrgan</xsl:variable>
	<xsl:variable name="i18n.Request.Added">Skapad</xsl:variable>
	<xsl:variable name="i18n.Request.Poster">Frn</xsl:variable>
	<xsl:variable name="i18n.Request.Accepted">Accepterat</xsl:variable>
	<xsl:variable name="i18n.Request.Accepted.No">Nekat</xsl:variable>
	
	<xsl:variable name="i18n.GiveFlowInstance.Title">verlt rende</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.Description">Fyll i uppgifterna p den person som du vill verlta rendet till. E-post och SMS kommer att skickas ut s denne blir medveten om att en verltelsefrfrgan vntar. Du kommer att f en e-post notifikation nr motparten har svarat.</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.InProgress.Description">Ditt rende vntar p att mottagaren ska godknna verltandet.</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.InProgress.DescriptionBottom">Ett SMS och/eller e-postmeddelande har skickats till personen i listan ovan. Om de inte mottagit detta meddelande eller du vill pminna dem s kan du be dem logga in p mina sidor.</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.InProgress.DescriptionBottom.NoSMS">Ett e-postmeddelande har skickats till personen i listan ovan. Om de inte mottagit detta meddelande eller du vill pminna dem s kan du be dem logga in p mina sidor.</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.InProgress.Description.Declined">Din verltelsefrfrgan har nekats av mottagaren.</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.Contact">Kontaktuppgifter</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.CreateRequest">Skapa verltelsefrfrgan</xsl:variable>
	<xsl:variable name="i18n.GiveFlowInstance.Cancel">Dra tillbaka verltelsefrfrgan</xsl:variable>
	
	<xsl:variable name="i18n.ReceiveFlowInstance.Title">Ta ver rende</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Description">Ls igenom rendet s att det ser korrekt ut och ta ver rendet med knappen lngst ner. Om rendet inte ser korrekt ut s kan du anvnda neka knappen lngst ner fr att lmna ett meddelande till den som skickat verltelsefrfrgan.</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Accept">Ta ver rende</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Accept.Title">Ta ver rende</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Accept.Description">Vnligen fyll i dina kontaktuppgifter. Uppgifterna kommer att sparas under mina uppgifter.</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Accept.Email">E-postadress</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Accept.MobilePhone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Decline">Neka</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Decline.Title">Neka verltelse</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Decline.Description">Vnligen skriv ett meddelande till avsndaren om varfr du nekar verltandet av rendet.</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Decline.Reason">Meddelande</xsl:variable>
	<xsl:variable name="i18n.ReceiveFlowInstance.Cancel">Avbryt</xsl:variable>
	
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.noAnsweredQueriesInThisStep">Det finns inga besvarade frgor i detta steg.</xsl:variable>
	
	<xsl:variable name="i18n.Help">Hjlp</xsl:variable>
	<xsl:variable name="i18n.FlowName">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceID">rendenummer</xsl:variable>
	<xsl:variable name="i18n.Status">Status</xsl:variable>
	<xsl:variable name="i18n.Updated">Senast sparat</xsl:variable>
	<xsl:variable name="i18n.SiteProfile">Kommun</xsl:variable>
	
	<xsl:variable name="i18n.ShowSettings.Enabled">verltelse aktiverat</xsl:variable>
	<xsl:variable name="i18n.ShowSettings.Disabled">verltelse avstngt</xsl:variable>
	<xsl:variable name="i18n.ShowSettings.AllowsSubmitted">Tillter verltelse av inskickade renden</xsl:variable>
	<xsl:variable name="i18n.UpdateSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.UpdateSettingsTitle">verltelseinstllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Settings.enabled">Aktivera verltelse</xsl:variable>
	<xsl:variable name="i18n.Settings.allowSubmitted">Tillt verltelse av inskickade renden</xsl:variable>
	<xsl:variable name="i18n.Settings.showOwnershipChangeMessage">Visa verltelseinstruktion d anvndaren sparar ej inskickat rendet</xsl:variable>
	<xsl:variable name="i18n.VerifyContactDetails">Verifiera kontaktuppgifter vid verltelse</xsl:variable>
	<xsl:variable name="i18n.Settings.requireEmail">Krv e-postadress</xsl:variable>
	<xsl:variable name="i18n.Settings.requireMobilePhone">Krv mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstancesTitle">renden som vntar p ditt godknnande</xsl:variable>
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstances.Part1">Du har</xsl:variable>
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstances.Part2">rende</xsl:variable>
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstances.Part2.Plural">renden</xsl:variable>
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstances.Part3">som vntar p ditt godknnande</xsl:variable>
	<xsl:variable name="i18n.WaitingForYourAcceptance">Vntar p ditt godknnande</xsl:variable>
	<xsl:variable name="i18n.WaitingChangeOwnerFlowInstancesHelp">
<h2 class="h1 full" data-icon-before="?">renden som vntar p ditt godknnande</h2>
De renden som ngon annan har pbrjat och valt att verlmna till dig. Godknn genom att klicka p "Vntar p ditt godknnande". 
	</xsl:variable>
	
</xsl:stylesheet>
