package com.nordicpeak.flowengine.queries.colorpickerquery;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import se.unlogic.standardutils.xml.Elementable;
import se.unlogic.standardutils.xml.XMLUtils;

public enum ColorPickerFormat implements Elementable {
	HEX,
	HEX8,
	RGB,
	HSL,
	HSV;
	
	@Override
	public Element toXML(Document doc) {
		
		Element element = doc.createElement(getClass().getSimpleName());
		
		XMLUtils.appendNewElement(doc, element, "Value", name());
		
		return element;
	}
}
