<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryCommon.sv.xsl"/>
	<xsl:include href="DateTimeQueryTemplates.xsl"/>
	
	<xsl:variable name="i18n.RequiredQuery">Den hr frgan r obligatorisk!</xsl:variable>
	<xsl:variable name="i18n.RequiredField">Det hr fltet r obligatoriskt!</xsl:variable>
	<xsl:variable name="i18n.InvalidFormat">Felaktigt format!</xsl:variable>
	<xsl:variable name="i18n.UnknownValidationError">Ett oknt valideringsfel har uppsttt!</xsl:variable>
	
	<xsl:variable name="i18n.Date">Datum</xsl:variable>
	<xsl:variable name="i18n.Time">Tid</xsl:variable>
	<xsl:variable name="i18n.from">frn</xsl:variable>
	<xsl:variable name="i18n.to">till</xsl:variable>
	<xsl:variable name="i18n.FromTime">Den valda frn-tiden</xsl:variable>
	<xsl:variable name="i18n.ToTime">Den valda till-tiden</xsl:variable>
	
	<xsl:variable name="i18n.StartDateAfterEndDate">Till-datum fr inte ligga fre frn-datum</xsl:variable>
	<xsl:variable name="i18n.StartTimeAfterEndTime">Till-tid fr inte ligga fre frn-tid</xsl:variable>
	<xsl:variable name="i18n.StartDateBeforeMinDate">Frn-datum fr inte ligga fre </xsl:variable>
	<xsl:variable name="i18n.StartDateAfterMaxDate">Frn-datum fr inte ligga efter </xsl:variable>
	<xsl:variable name="i18n.EndDateBeforeMinDate">Till-datum fr inte ligga fre </xsl:variable>
	<xsl:variable name="i18n.EndDateAfterMaxDate">Till-datum fr inte ligga efter </xsl:variable>
	<xsl:variable name="i18n.StartDateNotBigEnoughNegative.1">Frn-datum fr inte vara tidigare n</xsl:variable>
	<xsl:variable name="i18n.StartDateNotBigEnoughNegative.2">dagar bakt i tiden</xsl:variable>
	<xsl:variable name="i18n.StartDateNotBigEnoughToday">Frn-datum fr inte vara tidigare n dagens datum</xsl:variable>
	<xsl:variable name="i18n.StartDateNotBigEnoughPositive.1">Frn-datum fr inte vara tidigare n</xsl:variable>
	<xsl:variable name="i18n.StartDateNotBigEnoughPositive.2">dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.StartDateTooBigPositive.1">Frn-datum fr inte vara senare n</xsl:variable>
	<xsl:variable name="i18n.StartDateTooBigPositive.2">dagar tillbaka i tiden</xsl:variable>
	<xsl:variable name="i18n.StartDateTooBigToday">Frn-datum fr inte vara senare n dagens datum</xsl:variable>
	<xsl:variable name="i18n.StartDateTooBigNegative.1">Frn-datum fr inte vara senare n</xsl:variable>
	<xsl:variable name="i18n.StartDateTooBigNegative.2">dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.EndDateNotBigEnoughNegative.1">Till-datum fr inte vara tidigare n</xsl:variable>
	<xsl:variable name="i18n.EndDateNotBigEnoughNegative.2">dagar bakt i tiden</xsl:variable>
	<xsl:variable name="i18n.EndDateNotBigEnoughToday">Till-datum fr inte vara tidigare n dagens datum</xsl:variable>
	<xsl:variable name="i18n.EndDateNotBigEnoughPositive.1">Till-datum fr inte vara tidigare n</xsl:variable>
	<xsl:variable name="i18n.EndDateNotBigEnoughPositive.2">dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.EndDateTooBigPositive.1">Till-datum fr inte vara senare n</xsl:variable>
	<xsl:variable name="i18n.EndDateTooBigPositive.2">dagar tillbaka i tiden</xsl:variable>
	<xsl:variable name="i18n.EndDateTooBigToday">Till-datum fr inte vara senare n dagens datum</xsl:variable>
	<xsl:variable name="i18n.EndDateTooBigNegative.1">Till-datum fr inte vara senare n</xsl:variable>
	<xsl:variable name="i18n.EndDateTooBigNegative.2">dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.StartDatOnNotAllowedWeekday.1">Du mste vlja ett frn-datum som ligger p ngon av fljande veckodagar:</xsl:variable>
	<xsl:variable name="i18n.RestrictTomorrowOnTimeNeedsStartDateAfterToday">Valt frn-datum mste ligga efter dagens datum</xsl:variable>
	<xsl:variable name="i18n.RestrictTomorrowOnTimeNeedsStartDateTodayOrAfter">Valt frn-datum mste vara dagens datum eller lngre fram</xsl:variable>
	<xsl:variable name="i18n.TomorrowIsNotAllowedNow.1">D klockan passerat</xsl:variable>
	<xsl:variable name="i18n.TomorrowIsNotAllowedNow.2">fr inte morgondagens datum vljas som frn-datum</xsl:variable>
	<xsl:variable name="i18n.TodayIsNotAllowedNow.1">D klockan passerat</xsl:variable>
	<xsl:variable name="i18n.TodayIsNotAllowedNow.2">fr inte dagens datum vljas som frn-datum</xsl:variable>
	<xsl:variable name="i18n.CurrentMonthIsNotAllowed">Innevarande mnad fr inte vljas som start-datum</xsl:variable>
	<xsl:variable name="i18n.CurrentAndSomeUpcomingMonthsAreNotAllowed.1">Valt start-datum fr inte ligga p innevarande mnad eller p ngon av de</xsl:variable>
	<xsl:variable name="i18n.CurrentAndSomeUpcomingMonthsAreNotAllowed.2">nrmast efterfljande mnaderna</xsl:variable>
	<xsl:variable name="i18n.CurrentAndOneUpcomingMonthAreNotAllowed">Valt start-datum fr inte ligga p innevarande mnad eller p den nrmast efterfljande mnaden</xsl:variable>
	<xsl:variable name="i18n.CurrentEndMonthIsNotAllowed">Innevarande mnad fr inte vljas som slut-datum</xsl:variable>
	<xsl:variable name="i18n.CurrentAndSomeUpcomingEndMonthsAreNotAllowed.1">Valt slut-datum fr inte ligga p innevarande mnad eller p ngon av de</xsl:variable>
	<xsl:variable name="i18n.CurrentAndSomeUpcomingEndMonthsAreNotAllowed.2">nrmast efterfljande mnaderna</xsl:variable>
	<xsl:variable name="i18n.CurrentAndOneUpcomingEndMonthAreNotAllowed">Valt slut-datum fr inte ligga p innevarande mnad eller p den nrmast efterfljande mnaden</xsl:variable>
	
	<xsl:variable name="i18n.DateIntervalMonthsToSmall.1">Datumintervallet r fr litet! Det mste vara minst</xsl:variable>
	<xsl:variable name="i18n.DateIntervalMonthsToSmall.2">mnader mellan datum frn och datum till.</xsl:variable>
	<xsl:variable name="i18n.DateIntervalYearsToSmall.2">mellan datum frn och datum till.</xsl:variable>
	<xsl:variable name="i18n.DateIntervalDaysToSmall.1">Datumintervallet r fr litet! Det mste vara minst</xsl:variable>
	<xsl:variable name="i18n.DateIntervalDaysToSmall.2">dagar mellan datum frn och datum till.</xsl:variable>
	<xsl:variable name="i18n.DateIntervalMonthsToBig.1">Datumintervallet r fr stort! Det fr som mest vara</xsl:variable>
	<xsl:variable name="i18n.DateIntervalYears">r</xsl:variable>
	<xsl:variable name="i18n.DateIntervalMonth">mnad</xsl:variable>
	<xsl:variable name="i18n.DateIntervalMonths">mnader</xsl:variable>
	<xsl:variable name="i18n.DateIntervalAnd">och</xsl:variable>
	<xsl:variable name="i18n.DateIntervalYearsToBig.2">mellan datum frn och datum till</xsl:variable>
	<xsl:variable name="i18n.DateIntervalMonthsToBig.2">mnader mellan datum frn och datum till.</xsl:variable>
	<xsl:variable name="i18n.DateIntervalDaysToBig.1">Datumintervallet r fr stort! Det fr som mest vara</xsl:variable>
	<xsl:variable name="i18n.DateIntervalDaysToBig.2">dagar mellan datum frn och datum till.</xsl:variable>

	<xsl:variable name="i18n.StartTimeTooEarly">Frn-tid fr inte vara innan</xsl:variable>
	<xsl:variable name="i18n.StartTimeTooLate">Frn-tid fr inte vara efter</xsl:variable>
	<xsl:variable name="i18n.EndTimeTooEarly">Till-tid fr inte vara innan</xsl:variable>
	<xsl:variable name="i18n.EndTimeTooLate">Till-tid fr inte vara efter</xsl:variable>
	
	<xsl:variable name="i18n.TimeNotMultipleOfInterval.1">Tider mste vljas i intervall av</xsl:variable>
	<xsl:variable name="i18n.TimeNotMultipleOfInterval.2">minuter.</xsl:variable>
	<xsl:variable name="i18n.TimeNotMultipleOfInterval.3">har ndrats till</xsl:variable>
	<xsl:variable name="i18n.StartDateNotPastCurrentDate">Datumet fr inte ligga efter dagens datum</xsl:variable>
</xsl:stylesheet>
