package com.nordicpeak.flowengine.queries.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

@XMLElement(name="validationError")
public class DateIntervallValidationError extends ValidationError {

	private static final long serialVersionUID = -296618647400971740L;

	@XMLElement
	private Integer years;
	
	@XMLElement
	private Integer months;

	public DateIntervallValidationError(String messageKey, Integer years, Integer months) {

		super(messageKey, "");
		this.years = years;
		this.months = months;
	}
}
