<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="DocumentSignerAdminModuleTemplates.xsl"/>
	
	<xsl:variable name="java.pdfSignedText">(Signerat, $hashAlgorithm $hash)</xsl:variable>
	<xsl:variable name="java.pdfPageNumber1">Sida </xsl:variable>
	<xsl:variable name="java.pdfPageNumber2"> av </xsl:variable>
	<xsl:variable name="java.pdfUnsignedAttachment">Signeringsunderlag</xsl:variable>
	<xsl:variable name="java.pdfSignatureAttachment">Signatur</xsl:variable>

	<xsl:variable name="java.signedPDFFileSuffix"> signerat med pnr</xsl:variable>
	<xsl:variable name="java.signedReceiptFileSuffix"> signerat</xsl:variable>
	
	<xsl:variable name="i18n.Validation.RequiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.InvalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooLong">Fr lngt innehll i fltet:</xsl:variable>	
	<xsl:variable name="i18n.Validation.UnknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.UnknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	<xsl:variable name="i18n.Validation.ShowFailedDocumentNotFound">Det begrda dokumentet hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.EmailOrPhoneRequired">Du mste fylla i epost eller mobiltelefon.</xsl:variable>
	<xsl:variable name="i18n.Validation.UnableToParseFile.part1">Det bifogade PDF-dokumenet </xsl:variable>
	<xsl:variable name="i18n.Validation.UnableToParseFile.part2"> kunde inte lsas in. Prova att spara om/exportera p nytt.</xsl:variable>
	<xsl:variable name="i18n.Validation.NoCitizenIDOnInternalUser.part1">Det gr inte att skicka till den valda interna anvndaren</xsl:variable>
	<xsl:variable name="i18n.Validation.NoCitizenIDOnInternalUser.part2">fr signering. Lgg till personen som "Extern" mottagare istllet.</xsl:variable>
	<xsl:variable name="i18n.DeleteAfterXDaysTooLarge">Gallra dokument efter x dagar: fr hgst vara 90 dagar.</xsl:variable>
	
	<xsl:variable name="i18n.Flow.sendEmailWhenSigningPartiallyDone">Skicka e-postnotifiering till den som startat en signering nr varje enskild person har signerat</xsl:variable>
	
	<xsl:variable name="i18n.Days">dagar</xsl:variable>
	<xsl:variable name="i18n.Cancel">Avbryt</xsl:variable>
	<xsl:variable name="i18n.FileUpload.MaximumFileSize">Maximal filstorlek vid uppladdning</xsl:variable>
	<xsl:variable name="i18n.Move">Flytta</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.ListDocuments">Signering av dokument</xsl:variable>
	
	<xsl:variable name="i18n.ListDocuments.MyDocuments">Mina signeringar</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.PendingDocuments">Dokument att signera</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.NoDocuments">Du har inte skapat ngot dokument fr signering</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.NoPendingDocuments">Du har inga dokument att signera</xsl:variable>
	
	<xsl:variable name="i18n.ShowDocument">Visa dokumentsignering</xsl:variable>
	
	<xsl:variable name="i18n.AddDocument">Skapa ny dokumentsignering</xsl:variable>
	<xsl:variable name="i18n.AddDocument.save">Spara</xsl:variable>
	<xsl:variable name="i18n.AddDocument.saveAndSend">Spara och skicka</xsl:variable>
	
	<xsl:variable name="i18n.UpdateDocument">ndra dokumentsignering</xsl:variable>
	
	<xsl:variable name="i18n.Document.name">Dokumentnamn</xsl:variable>
	<xsl:variable name="i18n.Document.description">Beskrivning vid signering</xsl:variable>
	<xsl:variable name="i18n.Document.ExistingFile">PDF-dokument att signera</xsl:variable>
	<xsl:variable name="i18n.Document.NewFile">Bifoga PDF-dokument</xsl:variable>
	<xsl:variable name="i18n.Document.filename">Filnamn</xsl:variable>
	<xsl:variable name="i18n.Document.filesize">Filstorlek</xsl:variable>
	<xsl:variable name="i18n.Document.signatures">Antal signaturer</xsl:variable>
	<xsl:variable name="i18n.Document.status">Status</xsl:variable>
	<xsl:variable name="i18n.Document.poster">Skickat av</xsl:variable>
	<xsl:variable name="i18n.Document.Signers">Signeras av</xsl:variable>
	<xsl:variable name="i18n.Document.cancelInXDays">Avbryt dokument om ej signerat inom</xsl:variable>
	<xsl:variable name="i18n.Document.sendReminderInXDays">Skicka pminnelse om ej signerat inom</xsl:variable>
	<xsl:variable name="i18n.Document.deleteAfterXDays">Gallra dokument efter</xsl:variable>
	<xsl:variable name="i18n.Document.useSequentialSigning">Signera i ordningsfljd</xsl:variable>
	<xsl:variable name="i18n.Document.showPreviousSignaturesToSigners">Vid signering visa tidigare parter som signerat</xsl:variable>
	<xsl:variable name="i18n.Document.showSignedDocumentInUserModule">Visa signerat dokument p Mina sidor</xsl:variable>
	<xsl:variable name="i18n.Document.lastDate">Senast aktivitet</xsl:variable>
	<xsl:variable name="i18n.Document.lastDate.title">Senaste av dokumentsignering skapad, signering pbrjad eller slutfrd</xsl:variable>
	<xsl:variable name="i18n.Document.added">Skapad</xsl:variable>
	<xsl:variable name="i18n.Document.startDate">Signering pbrjad</xsl:variable>
	<xsl:variable name="i18n.Document.completedDate">Signering slutfrd</xsl:variable>
	<xsl:variable name="i18n.Document.Delete">Ta bort dokumentsignering</xsl:variable>
	<xsl:variable name="i18n.Document.DeleteConfirm">r du sker p att du vill ta bort dokumentsignering</xsl:variable>
	<xsl:variable name="i18n.Document.Cancel">Avbryt signering</xsl:variable>
	<xsl:variable name="i18n.Document.CancelConfirm">r du sker p att du vill avbryta signeringen?</xsl:variable>
	
	<xsl:variable name="i18n.Document.status.saved">Sparad</xsl:variable>
	<xsl:variable name="i18n.Document.status.signing">Pgr</xsl:variable>
	<xsl:variable name="i18n.Document.status.cancelled">Avbruten</xsl:variable>
	<xsl:variable name="i18n.Document.status.signed">Signerad</xsl:variable>
	
	<xsl:variable name="i18n.DocumentSigner">Person</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.name">Namn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.email">E-postadress</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.mobilePhone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.citizenID">Personnummer</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.citizenID.placeholder">MMDDXXXX</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.type.poster">Mig sjlv</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.type.internalUser">Intern anvndare</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.type.externalUser">Extern</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.signedDate">Signeringsdatum</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.User">Anvndare</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.Add">Lgg till person</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.Edit">ndra person</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.Delete">Ta bort person frn signering</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.DeleteConfirm">r du sker p att du vill ta bort personen?</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.ModalTitle">Lgg till person</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.ModalClose">Spara och stng</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.ModalReOpen">Spara och lgg till ny</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.CitizenIDInfo.1">Ange personnummer om du vill att endast den personen ska kunna signera.</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.CitizenIDInfo.2">Lmnar du personnummer blankt kan vem som helst med lnken signera dokumentet.</xsl:variable>
	
	<xsl:variable name="i18n.DownloadUnsignedPDF">Hmta signeringsunderlaget</xsl:variable>
	<xsl:variable name="i18n.DownloadSignedPDF">Hmta signerat dokument med personnummer</xsl:variable>
	
	<xsl:variable name="i18n.FileNameLengthLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.FileNameLengthLimitExceeded.part2"> har ett filnamn med </xsl:variable>
	<xsl:variable name="i18n.FileNameLengthLimitExceeded.part3"> tecken vilket verskrider det maximalt tilltna antalet tecken som r </xsl:variable>
	<xsl:variable name="i18n.FileNameLengthLimitExceeded.part4">.</xsl:variable>
	
	<xsl:variable name="i18n.MaxFileCountReached.part1">Du fr maximalt bifoga </xsl:variable>
	<xsl:variable name="i18n.MaxFileCountReached.part2"> fil(er).</xsl:variable>
	
	<xsl:variable name="i18n.InvalidFileExtension.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.InvalidFileExtension.part2"> r av en otillten filtyp och har drfr inte sparats.</xsl:variable>
	
	<xsl:variable name="i18n.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part4">.</xsl:variable>
	
	<xsl:variable name="java.signingInitiatedUserSMS">Hej $signer.firstname, du har ombetts att signera dokumentet $document.name som skickats in av $poster.firstname $poster.lastname. Anvnd fljande lnk fr att visa dokumentet: $signingURL</xsl:variable>
	<xsl:variable name="java.signingInitiatedUserEmailSubject">Signering av dokumentet $document.name</xsl:variable>
	<xsl:variable name="java.signingInitiatedUserEmailMessage">
	
		&lt;p&gt;Hej $signer.firstname,&lt;/p&gt;
		
		&lt;p&gt;Du har ombetts att signera dokumentet $document.name som skickats in av $poster.firstname $poster.lastname.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa dokumentet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$signingURL"&gt;$signingURL&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.signingCanceledUserSMS">Hej $signer.firstname, $contact.firstname $contact.lastname har valt att avbryta signeringen av dokumentet $document.name som du tidigare blev ombedd att signera. Det kan komma en ny signeringsfrfrgan om dokumentet skickas in p nytt.</xsl:variable>
	<xsl:variable name="java.signingCanceledUserEmailSubject">Signering av dokumentet $document.name avbruten</xsl:variable>
	<xsl:variable name="java.signingCanceledUserEmailMessage">
	
		&lt;p&gt;Hej $signer.firstname,&lt;/p&gt;
		
		&lt;p&gt;$contact.firstname $contact.lastname har valt att avbryta signeringen av dokumentet $document.name som du tidigare blev ombedd att signera.&lt;/p&gt;
		
		&lt;p&gt;Det kan komma en ny signeringsfrfrgan om dokumentet skickas in p nytt.&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.signingCanceledOwnerEmailSubject">Signering av dokumentet $document.name avbruten</xsl:variable>
	<xsl:variable name="java.signingCanceledOwnerEmailMessage">
	
		&lt;p&gt;Hej $poster.firstname,&lt;/p&gt;
		
		&lt;p&gt;$signer.firstname $signer.lastname har valt att avbryta signeringen av dokumentet $document.name .&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa dokumentet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$documentURL"&gt;$documentURL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.signingPartiallyCompletedOwnerEmailSubject">Signering av dokumentet $document.name</xsl:variable>
	<xsl:variable name="java.signingPartiallyCompletedOwnerEmailMessage">
	
		&lt;p&gt;Hej $poster.firstname,&lt;/p&gt;
		
		&lt;p&gt;Dokumentet $document.name har signerats av en person. $nrOfSignersLeft signatur(er) terstr innan dokumentet r fullstndigt signerat.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa dokumentet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$documentURL"&gt;$documentURL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.signingCompletedOwnerEmailSubject">Signering av dokumentet $document.name slutfrt</xsl:variable>
	<xsl:variable name="java.signingCompletedOwnerEmailMessage">
	
		&lt;p&gt;Hej $poster.firstname,&lt;/p&gt;
		
		&lt;p&gt;Dokumentet $document.name r fullstndigt signerat.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa dokumentet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$documentURL"&gt;$documentURL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.documentExpiringOwnerEmailSubject">Gallring av dokumentet $document.name</xsl:variable>
	<xsl:variable name="java.documentExpiringOwnerEmailMessage">
	
		&lt;p&gt;Hej $poster.firstname,&lt;/p&gt;
		
		&lt;p&gt;Dokumentet $document.name kommer att gallras automatiskt om sju dagar.&lt;/p&gt;
		
		&lt;p&gt;Om du inte redan gjort det, spara undan det signerade dokumentet p annan lagringsplats innan $removalDate.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa dokumentet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$documentURL"&gt;$documentURL&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.DownloadSignReceiptPDF">Hmta signerat dokument</xsl:variable>
	<xsl:variable name="i18n.Document.publishOriginal">Publicera original med personnummer fr andra parter (br anvndas med frsiktighet)</xsl:variable>
	
</xsl:stylesheet>
