<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="EasitIntegrationProviderTemplates.xsl"/>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	
	<xsl:variable name="java.paramNameDisplayName">Namn</xsl:variable>
	<xsl:variable name="java.paramValueDisplayName">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar Easit</xsl:variable>
	<xsl:variable name="i18n.flowVersion">version</xsl:variable>
	
	<xsl:variable name="i18n.EnableIntegration">Aktivera integrationen</xsl:variable>
	
	<xsl:variable name="i18n.Parameters">Parametrar</xsl:variable>
	<xsl:variable name="i18n.AddParameter">Lgg till parameter</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Value">Vrde</xsl:variable>	
		
	<xsl:variable name="i18n.Endpoint">Easit installation</xsl:variable>
	
	<xsl:variable name="i18n.SplitValues">Dela upp kommaseparerade vrden i flera vrden.</xsl:variable>

	<xsl:variable name="i18n.ParameterGroups">Importer</xsl:variable>
	
	<xsl:variable name="i18n.EnableParameterGroup">Aktivera</xsl:variable>
	<xsl:variable name="i18n.ParameterGroupName">Namn</xsl:variable>
	<xsl:variable name="i18n.ParameterGroupEnabled">Status</xsl:variable>
	
	
	<xsl:variable name="i18n.ParameterCount">Antal parametrar</xsl:variable>
	<xsl:variable name="i18n.NoIntegrationParameterGroups">Det finns nnu inga importer</xsl:variable>
	
	<xsl:variable name="i18n.AddIntegrationGroupTitle">Lgg till import</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationGroupTitle">ndra import</xsl:variable>
	<xsl:variable name="i18n.SortIntegrationGroupTitle">Sortera importer</xsl:variable>
	
	<xsl:variable name="i18n.ImportHandlerIdentifier">Importidentifierare</xsl:variable>
	<xsl:variable name="i18n.ImportWithPrevious">Importera med fregende</xsl:variable>
	<xsl:variable name="i18n.ImportWithPrevious.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.ImportWithPrevious.No">Nej</xsl:variable>
	<xsl:variable name="i18n.ImportParametersSeparately">Importera parametrar separat</xsl:variable>
		
	<xsl:variable name="i18n.AttributeRule">Attributmatchning (valfritt)</xsl:variable>
	<xsl:variable name="i18n.AttributeRuleDescription">Ange attributnamn/vrden som mste matcha fr att den hr gruppen skall importeras till Easit.</xsl:variable>
	<xsl:variable name="i18n.AttributeName">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.AttributeValues">Vrden (ett per rad)</xsl:variable>
	<xsl:variable name="i18n.InvertAttributeValues">Invertera (Om inget av vrderna matchar p attributets vrde s krs importen)</xsl:variable>
	
	<xsl:variable name="i18n.BaseSettings">Grundinstllningar</xsl:variable>
	
	<xsl:variable name="i18n.UpdateParameterGroupConfirm.Title">ndra import</xsl:variable>
	<xsl:variable name="i18n.DeleteParameterGroupConfirm">r du sker p att du vill ta bort importen</xsl:variable>
	<xsl:variable name="i18n.DeleteParameterGroupConfirm.Title">Ta bort importen</xsl:variable>
	
	<xsl:variable name="i18n.SortIntegrationGroups">Sortera importer</xsl:variable>
	<xsl:variable name="i18n.MoveParameterGroup">Flytta import</xsl:variable>
	
	<xsl:variable name="i18n.Attachments">Bilagor</xsl:variable>
	<xsl:variable name="i18n.AttachmentPrefixes">Filnamnsprefix (ett per rad)</xsl:variable>
	
</xsl:stylesheet>
