
package com.nordicpeak.flowengine.integration.evolution.proxy;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetBoardAndMeetingsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetBoardAndMeetingsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetBranchesResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCaseDetailsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCaseDetailsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCaseEventsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCaseEventsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCasesOfCustomerRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetCasesOfCustomerResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDelegateDetailsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDelegateDetailsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDepartmentsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDepartmentsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentBufferRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentBufferResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentDetailsRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentDetailsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentTypesRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetDocumentTypesResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetNextDiaryNumberRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetNextDiaryNumberResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetProcessDetailsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.GetUnitsResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.InsertDocumentRequest;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.InsertDocumentResponse;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.UpdateDelegateDetailsRequest;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IEService", targetNamespace = "http://tempuri.org/")
@XmlSeeAlso({
    com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2003._10.serialization.arrays.ObjectFactory.class,
    com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2003._10.serialization.ObjectFactory.class,
    com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution.ObjectFactory.class,
    com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice.ObjectFactory.class,
    com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.ObjectFactory.class,
    com.nordicpeak.flowengine.integration.evolution.proxy.ObjectFactory.class
})
public interface IEService {


    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.InsertDocumentResponse
     */
    @WebMethod(operationName = "InsertDocument", action = "http://tempuri.org/IEService/InsertDocument")
    @WebResult(name = "InsertDocumentResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "InsertDocument", targetNamespace = "http://tempuri.org/", className = "org.tempuri.InsertDocument")
    @ResponseWrapper(localName = "InsertDocumentResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.InsertDocumentResponse")
    public InsertDocumentResponse insertDocument(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        InsertDocumentRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetCasesOfCustomerResponse
     */
    @WebMethod(operationName = "GetCasesOfCustomer", action = "http://tempuri.org/IEService/GetCasesOfCustomer")
    @WebResult(name = "GetCasesOfCustomerResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetCasesOfCustomer", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCasesOfCustomer")
    @ResponseWrapper(localName = "GetCasesOfCustomerResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCasesOfCustomerResponse")
    public GetCasesOfCustomerResponse getCasesOfCustomer(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetCasesOfCustomerRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetCaseDetailsResponse
     */
    @WebMethod(operationName = "GetCaseDetails", action = "http://tempuri.org/IEService/GetCaseDetails")
    @WebResult(name = "GetCaseDetailsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetCaseDetails", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCaseDetails")
    @ResponseWrapper(localName = "GetCaseDetailsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCaseDetailsResponse")
    public GetCaseDetailsResponse getCaseDetails(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetCaseDetailsRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetDocumentDetailsResponse
     */
    @WebMethod(operationName = "GetDocumentDetails", action = "http://tempuri.org/IEService/GetDocumentDetails")
    @WebResult(name = "GetDocumentDetailsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetDocumentDetails", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDocumentDetails")
    @ResponseWrapper(localName = "GetDocumentDetailsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDocumentDetailsResponse")
    public GetDocumentDetailsResponse getDocumentDetails(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetDocumentDetailsRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetNextDiaryNumberResponse
     */
    @WebMethod(operationName = "GetNextDiarynumber", action = "http://tempuri.org/IEService/GetNextDiarynumber")
    @WebResult(name = "GetNextDiarynumberResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetNextDiarynumber", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetNextDiarynumber")
    @ResponseWrapper(localName = "GetNextDiarynumberResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetNextDiarynumberResponse")
    public GetNextDiaryNumberResponse getNextDiarynumber(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetNextDiaryNumberRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetDocumentBufferResponse
     */
    @WebMethod(operationName = "LoadBuffer", action = "http://tempuri.org/IEService/LoadBuffer")
    @WebResult(name = "LoadBufferResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "LoadBuffer", targetNamespace = "http://tempuri.org/", className = "org.tempuri.LoadBuffer")
    @ResponseWrapper(localName = "LoadBufferResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.LoadBufferResponse")
    public GetDocumentBufferResponse loadBuffer(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetDocumentBufferRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetBoardAndMeetingsResponse
     */
    @WebMethod(operationName = "GetBoardAndMeetingsForDelegate", action = "http://tempuri.org/IEService/GetBoardAndMeetingsForDelegate")
    @WebResult(name = "GetBoardAndMeetingsForDelegateResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetBoardAndMeetingsForDelegate", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetBoardAndMeetingsForDelegate")
    @ResponseWrapper(localName = "GetBoardAndMeetingsForDelegateResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetBoardAndMeetingsForDelegateResponse")
    public GetBoardAndMeetingsResponse getBoardAndMeetingsForDelegate(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetBoardAndMeetingsRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetDelegateDetailsResponse
     */
    @WebMethod(operationName = "GetDelegateDetails", action = "http://tempuri.org/IEService/GetDelegateDetails")
    @WebResult(name = "GetDelegateDetailsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetDelegateDetails", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDelegateDetails")
    @ResponseWrapper(localName = "GetDelegateDetailsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDelegateDetailsResponse")
    public GetDelegateDetailsResponse getDelegateDetails(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetDelegateDetailsRequest request);

    /**
     * 
     * @param request
     */
    @WebMethod(operationName = "UpdateDelegateDetails", action = "http://tempuri.org/IEService/UpdateDelegateDetails")
    @RequestWrapper(localName = "UpdateDelegateDetails", targetNamespace = "http://tempuri.org/", className = "org.tempuri.UpdateDelegateDetails")
    @ResponseWrapper(localName = "UpdateDelegateDetailsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.UpdateDelegateDetailsResponse")
    public void updateDelegateDetails(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        UpdateDelegateDetailsRequest request);

    /**
     * 
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetUnitsResponse
     */
    @WebMethod(operationName = "GetUnits", action = "http://tempuri.org/IEService/GetUnits")
    @WebResult(name = "GetUnitsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetUnits", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetUnits")
    @ResponseWrapper(localName = "GetUnitsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetUnitsResponse")
    public GetUnitsResponse getUnits();

    /**
     * 
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetBranchesResponse
     */
    @WebMethod(operationName = "GetBranches", action = "http://tempuri.org/IEService/GetBranches")
    @WebResult(name = "GetBranchesResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetBranches", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetBranches")
    @ResponseWrapper(localName = "GetBranchesResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetBranchesResponse")
    public GetBranchesResponse getBranches();

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetDocumentTypesResponse
     */
    @WebMethod(operationName = "GetDocumentTypes", action = "http://tempuri.org/IEService/GetDocumentTypes")
    @WebResult(name = "GetDocumentTypesResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetDocumentTypes", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDocumentTypes")
    @ResponseWrapper(localName = "GetDocumentTypesResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDocumentTypesResponse")
    public GetDocumentTypesResponse getDocumentTypes(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetDocumentTypesRequest request);

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetDepartmentsResponse
     */
    @WebMethod(operationName = "GetDepartments", action = "http://tempuri.org/IEService/GetDepartments")
    @WebResult(name = "GetDepartmentsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetDepartments", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDepartments")
    @ResponseWrapper(localName = "GetDepartmentsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetDepartmentsResponse")
    public GetDepartmentsResponse getDepartments(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetDepartmentsRequest request);

    /**
     * 
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetProcessDetailsResponse
     */
    @WebMethod(operationName = "GetProcessDetails", action = "http://tempuri.org/IEService/GetProcessDetails")
    @WebResult(name = "GetProcessDetailsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetProcessDetails", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetProcessDetails")
    @ResponseWrapper(localName = "GetProcessDetailsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetProcessDetailsResponse")
    public GetProcessDetailsResponse getProcessDetails();

    /**
     * 
     * @param request
     * @return
     *     returns org.datacontract.schemas._2004._07.evolution_eservice.GetCaseEventsResponse
     */
    @WebMethod(operationName = "GetCaseEvents", action = "http://tempuri.org/IEService/GetCaseEvents")
    @WebResult(name = "GetCaseEventsResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "GetCaseEvents", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCaseEvents")
    @ResponseWrapper(localName = "GetCaseEventsResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.GetCaseEventsResponse")
    public GetCaseEventsResponse getCaseEvents(
        @WebParam(name = "request", targetNamespace = "http://tempuri.org/")
        GetCaseEventsRequest request);

}
