package com.nordicpeak.flowengine.flowinstanceadmin2.flexjson;

import com.nordicpeak.flowengine.flowinstanceadmin2.enums.TableSettingColumnType;

import flexjson.transformer.EnumTransformer;

public class TableSettingColumnTypeTransformer extends EnumTransformer {

	@Override
	public void transform(Object value) {

		if (value instanceof TableSettingColumnType) {

			TableSettingColumnType rowType = (TableSettingColumnType) value;

			getContext().writeQuoted(rowType.getName());
		}
	}

}
