package com.nordicpeak.flowengine.flowinstanceadmin2.flexjson;

import java.util.ArrayList;
import java.util.List;

import com.nordicpeak.flowengine.flowinstanceadmin2.beans.TableSettingsOrderEntry;

import flexjson.transformer.AbstractTransformer;

public class TableSettingOrderEntryTransformer extends AbstractTransformer {

	@Override
	public void transform(Object value) {

		if (value instanceof TableSettingsOrderEntry) {

			TableSettingsOrderEntry order = (TableSettingsOrderEntry) value;

			List<Object> list = new ArrayList<>(2);

			list.add(order.getColumnIndex());
			list.add(order.getOrder().toString().toLowerCase());

			getContext().transform(list);
		}
	}

}
