<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="FlowInstanceAdminRemoteInfoModuleTemplates.xsl"/>

	<xsl:variable name="java.adminExtensionViewTitle">API-klla fr handlggningsinformation</xsl:variable>

	
	<!-- Java i18n -->
	<xsl:variable name="java.apiSourceShortTypeName">Handlgg.info.</xsl:variable>
	<xsl:variable name="java.apiSourceFullTypeName">Handlggningsinformation</xsl:variable>	

	<!-- Validation -->
	<xsl:variable name="i18n.validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	
	<!-- Internationalization -->
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	
	<!-- Endpoints -->
	<xsl:variable name="i18n.ListEndpoints">API-kllor fr handlggningsinformation</xsl:variable>
	<xsl:variable name="i18n.ShowEndpoint">Informationsklla</xsl:variable>
	<xsl:variable name="i18n.AddEndpoint">Ny informationsklla</xsl:variable>
	<xsl:variable name="i18n.UpdateEndpoint">ndra informationsklla</xsl:variable>
	<xsl:variable name="i18n.Add">Ny informationsklla</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.NoEndpoints">Det finns inga informationskllor upplagda</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">Vill du verkligen ta bort</xsl:variable>
	<xsl:variable name="i18n.Address">Adress (URL)</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.Encoding">Teckenkodning</xsl:variable>
	<xsl:variable name="i18n.EndpointUsage">Anvndning i e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Flow">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.NoFlowFamilies">Informationskllan anvnds inte i ngra e-tjnster</xsl:variable>

	<xsl:variable name="i18n.TagsTable.description.part1">Exempel p en attributfiltrerad url som utnyttjar attribut/taggar:</xsl:variable>
	<xsl:variable name="i18n.DynamicURLExample">https://api.organisationen.se/anrop?fastparam=fastvrde&amp;dynamiskparam1=$attribute{mitt_attributnamn}&amp;dynamiskparam2=$user.attribute{citizenIdentifier}&amp;dynamiskparam3=$user.email</xsl:variable>
	<xsl:variable name="i18n.TagsTable.description.part2">Fljande taggar kan anvndas (kan finnas fler):</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.UserFirstnameTag">Anvndarens frnamn</xsl:variable>
	<xsl:variable name="i18n.UserLastnameTag">Anvndarens efternamn</xsl:variable>
	<xsl:variable name="i18n.UserEmailTag">Anvndarens e-postadress</xsl:variable>
	<xsl:variable name="i18n.UserUsernameTag">Anvndarens anvndarnamn (endast medarbetarkonto)</xsl:variable>
	<xsl:variable name="i18n.UserUserIDTag">Anvndarens anvndar-ID</xsl:variable>
	<xsl:variable name="i18n.UserCitizenIdentifierTag">Anvndarens personnummer</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyIDTag">E-tjnstens familje-ID</xsl:variable>
	<xsl:variable name="i18n.FlowIDTag">E-tjnstens versions-ID</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceIDTag">rendenummer</xsl:variable>
	
	<!-- Settings -->
	<xsl:variable name="i18n.UpdateSettingsTitle">Handlggningsinformationsklla fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.NotEnabled">Ej aktiverat</xsl:variable>
	<xsl:variable name="i18n.Endpoint">Informationsklla</xsl:variable>
	<xsl:variable name="i18n.NoSettings">Inga handlggningsinformationskllor anvnds.</xsl:variable>
	<xsl:variable name="i18n.UpdateSettings">Vlj klla</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings">Inaktivera klla</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings.Confirm">r du sker p att du vill inaktivera handlggningsinformationskllan fr den hr e-tjnsten?</xsl:variable>
	
</xsl:stylesheet>
