
package se.lantmateriet.namespace.distribution.produkter.byggnad.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BostadsandamalType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BostadsandamalType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Smhus friliggande"/>
 *     &lt;enumeration value="Smhus kedjehus"/>
 *     &lt;enumeration value="Smhus radhus"/>
 *     &lt;enumeration value="Smhus med flera lgenheter"/>
 *     &lt;enumeration value="Flerfamiljshus"/>
 *     &lt;enumeration value="Ospecificerad"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BostadsandamalType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2")
@XmlEnum
public enum BostadsandamalType {

    @XmlEnumValue("Sm\u00e5hus friliggande")
    SMHUS_FRILIGGANDE("Sm\u00e5hus friliggande"),
    @XmlEnumValue("Sm\u00e5hus kedjehus")
    SMHUS_KEDJEHUS("Sm\u00e5hus kedjehus"),
    @XmlEnumValue("Sm\u00e5hus radhus")
    SMHUS_RADHUS("Sm\u00e5hus radhus"),
    @XmlEnumValue("Sm\u00e5hus med flera l\u00e4genheter")
    SMHUS_MED_FLERA_LGENHETER("Sm\u00e5hus med flera l\u00e4genheter"),
    @XmlEnumValue("Flerfamiljshus")
    FLERFAMILJSHUS("Flerfamiljshus"),
    @XmlEnumValue("Ospecificerad")
    OSPECIFICERAD("Ospecificerad");
    private final String value;

    BostadsandamalType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BostadsandamalType fromValue(String v) {
        for (BostadsandamalType c: BostadsandamalType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
