
package se.lantmateriet.namespace.distribution.produkter.byggnad.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EntreType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EntreType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="objektstatus" type="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}ObjektstatusType"/>
 *         &lt;element name="hiss" type="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}HisstatusType"/>
 *         &lt;element name="entretyp" type="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}EntretypType"/>
 *         &lt;element name="adressplats" type="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}UUIDType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EntreType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", propOrder = {
    "objektstatus",
    "hiss",
    "entretyp",
    "adressplats"
})
public class EntreType
    extends UtbytesobjektType
{

    @XmlElement(required = true)
    protected ObjektstatusType objektstatus;
    @XmlElement(required = true)
    protected HisstatusType hiss;
    @XmlElement(required = true)
    protected EntretypType entretyp;
    protected String adressplats;

    /**
     * Gets the value of the objektstatus property.
     * 
     * @return
     *     possible object is
     *     {@link ObjektstatusType }
     *     
     */
    public ObjektstatusType getObjektstatus() {
        return objektstatus;
    }

    /**
     * Sets the value of the objektstatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjektstatusType }
     *     
     */
    public void setObjektstatus(ObjektstatusType value) {
        this.objektstatus = value;
    }

    /**
     * Gets the value of the hiss property.
     * 
     * @return
     *     possible object is
     *     {@link HisstatusType }
     *     
     */
    public HisstatusType getHiss() {
        return hiss;
    }

    /**
     * Sets the value of the hiss property.
     * 
     * @param value
     *     allowed object is
     *     {@link HisstatusType }
     *     
     */
    public void setHiss(HisstatusType value) {
        this.hiss = value;
    }

    /**
     * Gets the value of the entretyp property.
     * 
     * @return
     *     possible object is
     *     {@link EntretypType }
     *     
     */
    public EntretypType getEntretyp() {
        return entretyp;
    }

    /**
     * Sets the value of the entretyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link EntretypType }
     *     
     */
    public void setEntretyp(EntretypType value) {
        this.entretyp = value;
    }

    /**
     * Gets the value of the adressplats property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdressplats() {
        return adressplats;
    }

    /**
     * Sets the value of the adressplats property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdressplats(String value) {
        this.adressplats = value;
    }

}
