
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ForvarvstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ForvarvstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Omrde"/>
 *     &lt;enumeration value="Undantag av omrde"/>
 *     &lt;enumeration value="Undantag av utrymme"/>
 *     &lt;enumeration value="Utrymme"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ForvarvstypType")
@XmlEnum
public enum ForvarvstypType {

    @XmlEnumValue("Omr\u00e5de")
    OMRDE("Omr\u00e5de"),
    @XmlEnumValue("Undantag av omr\u00e5de")
    UNDANTAG_AV_OMRDE("Undantag av omr\u00e5de"),
    @XmlEnumValue("Undantag av utrymme")
    UNDANTAG_AV_UTRYMME("Undantag av utrymme"),
    @XmlEnumValue("Utrymme")
    UTRYMME("Utrymme");
    private final String value;

    ForvarvstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ForvarvstypType fromValue(String v) {
        for (ForvarvstypType c: ForvarvstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
