
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PagaendeArendetypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="PagaendeArendetypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Anteckning"/>
 *     &lt;enumeration value="Aviseringar"/>
 *     &lt;enumeration value="Avtalsrttighet"/>
 *     &lt;enumeration value="Inteckning"/>
 *     &lt;enumeration value="Lagfart"/>
 *     &lt;enumeration value="Tomtrtt"/>
 *     &lt;enumeration value="vrigt"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PagaendeArendetypType")
@XmlEnum
public enum PagaendeArendetypType {

    @XmlEnumValue("Anteckning")
    ANTECKNING("Anteckning"),
    @XmlEnumValue("Aviseringar")
    AVISERINGAR("Aviseringar"),
    @XmlEnumValue("Avtalsr\u00e4ttighet")
    AVTALSRTTIGHET("Avtalsr\u00e4ttighet"),
    @XmlEnumValue("Inteckning")
    INTECKNING("Inteckning"),
    @XmlEnumValue("Lagfart")
    LAGFART("Lagfart"),
    @XmlEnumValue("Tomtr\u00e4tt")
    TOMTRTT("Tomtr\u00e4tt"),
    @XmlEnumValue("\u00d6vrigt")
    VRIGT("\u00d6vrigt");
    private final String value;

    PagaendeArendetypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PagaendeArendetypType fromValue(String v) {
        for (PagaendeArendetypType c: PagaendeArendetypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
