<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="classpath://com/nordicpeak/flowengine/evaluators/common/xsl/EvaluatorAdminCommon.sv.xsl"/>
	<xsl:include href="WeightCalculatedParagraphEvaluationProviderModuleTemplates.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.evaluatorTypeName">Dlj/visa stycken baserat p berknad vikt</xsl:variable>

	<xsl:variable name="i18n.UpdateEvaluatorDescriptor.title">Uppdatera regel</xsl:variable>
	
	
	<xsl:variable name="i18n.paragraphs.title">Stycken</xsl:variable>
	<xsl:variable name="i18n.paragraphs.description">Vlj vilka stycken som ska pverkas av denna regel.</xsl:variable>
	
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>

	<xsl:variable name="i18n.from">Frn och med</xsl:variable>
	<xsl:variable name="i18n.to">Till och med</xsl:variable>
	
	<xsl:variable name="i18n.FromValueBiggerThanToValue">Vikten i till-fltet kan inte vara strre n i frn-fltet</xsl:variable>

	<xsl:variable name="i18n.weight.title">Vikt intervall</xsl:variable>
	<xsl:variable name="i18n.weight.description">Ange ett viktintervall nedan fr nr regeln ska kras.</xsl:variable>
	
	<xsl:variable name="i18n.expression">Formel fr berknings vrde</xsl:variable>
	<xsl:variable name="i18n.expressionDescription">Exempel p berkning: $weight{timmar} * 100</xsl:variable>
	<xsl:variable name="i18n.expressionDescription2">Exempel p berkning med hjlp av vrdet i egen tagg: $weight{timmar} * ${TaggensNamn}</xsl:variable>
	
	<xsl:variable name="i18n.mode.title">Dlj eller visa</xsl:variable>
	<xsl:variable name="i18n.mode.description">Vlj om nedanstende markerade stycken ska visas eller dljas denna regel aktiveras.</xsl:variable>
	<xsl:variable name="i18n.mode.hide">Dlj</xsl:variable>
	<xsl:variable name="i18n.mode.show">Visa</xsl:variable>
	<xsl:variable name="i18n.QueryHasNoParagraphs">Frgan som denna regel r kopplad till har inga stycken.</xsl:variable>
	<xsl:variable name="i18n.UpdateWeightCalculatedParagraphEvaluator.submit">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Hidden">dolt</xsl:variable>
</xsl:stylesheet>
