<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="PlotQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Tomtfrga</xsl:variable>
	<xsl:variable name="java.connectionFeeNotIncludedText">Ingr ej</xsl:variable>
	<xsl:variable name="java.lockKeyText">Lsnyckel</xsl:variable>

	<xsl:variable name="i18n.UpdateQuery">ndra frga</xsl:variable>
	<xsl:variable name="i18n.RequireBookableDate">Krv BOKDATUM vid hmtning av tomt</xsl:variable>
	<xsl:variable name="i18n.RequireBookableDate.Description">Om BOKDATUM krvs s kommmer en tomt som saknar BOKDATUM ej vara tillgnglig fr bokning</xsl:variable>

	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.SetAsAttribute">Spara tomtens information som attribut</xsl:variable>
	<xsl:variable name="i18n.AttributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (om aktiverade ovan) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.address}</xsl:variable>

	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	<xsl:variable name="i18n.attributes.objectid">Objekt-ID</xsl:variable>
	<xsl:variable name="i18n.attributes.timestamp">Tidsstmpel</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyUnitDesignation">Fastighetsbeteckning</xsl:variable>
	<xsl:variable name="i18n.attributes.address">Adress</xsl:variable>
	<xsl:variable name="i18n.attributes.area">Area</xsl:variable>
	<xsl:variable name="i18n.attributes.connectionFee">Anslutningsavgift VA</xsl:variable>
	<xsl:variable name="i18n.attributes.price">Pris</xsl:variable>
	<xsl:variable name="i18n.attributes.location">Omrde</xsl:variable>
	<xsl:variable name="i18n.attributes.comment">Kommentar</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.PlotQueryNotFound">Den begrda frgan hittades inte</xsl:variable>

</xsl:stylesheet>
