$(function() {
	
	setQueryRequiredFunctions["QueueQueryInstance"] = makeQueueQueryRequired;
});

function initQueueQuery(queryID) {
	
	var $query = $("#query_" + queryID);
			
	if($query.hasClass("enableAjaxPosting")) {
		
		bindQueueChangeEvent($query.find("input[type='checkbox']"), queryID);
	}
}

function bindQueueChangeEvent($checkboxes, queryID) {
	
	$checkboxes.on("change", function() {
		
		runQueueEvaluators($(this), queryID);
	});
}

function runQueueEvaluators($this, queryID) {
	
	var parameters = {};
	
	var $inputWrapper = $this.parent().parent();
	
	$inputWrapper.find("input[type='checkbox']:checked").each(function () {
		
		var $checkbox = $(this);
		
		parameters[$checkbox.attr("name")] = $checkbox.val();
		
	});
	
	runQueryEvaluators(queryID, parameters);
}

function makeQueueQueryRequired(queryID) {
	
	$("#query_" + queryID).find(".heading-wrapper h2").addClass("required");
}

