$(function() {
	
	$("#messages a.reply_message").on("click", function(e) {
		e.preventDefault();
		
		var quotedMessage = $(this).closest("li").find(".message");
		
		var quote = quotedMessage.clone();
		quote.find(".files, .quote").remove();
		
		var quoteDiv = $("#message-quote");
		quoteDiv.find(".quote").html(quote.contents());
		quoteDiv.find("input").val(quotedMessage.data("messageid")).prop("disabled", false);
		quoteDiv.show();
		
		$("#new-message").show();
		scrollToMessages("#new-message");
		$("#message").trigger("focus");
	});
	
	$("#messages a.stop_quote").on("click", function(e) {
		e.preventDefault();
		
		var quoteDiv = $("#message-quote");
		quoteDiv.hide();
		quoteDiv.find("input").prop("disabled", true);
	});
	
});

function commentModal(event, button) {
	event.preventDefault();
	event.stopPropagation();

	var form = $(button).closest("form"); 
	var modal = form.find(".comment-modal");
	
	var message = form.find("input[name='comment']");
	
	var config = {
			otherClose: '.close',
			
			beforeOpen: function() {
				modal.find("textarea[name = 'message']").val(message.val());
			},

			afterContent: function() {
				var feather = this;
				feather.$content.removeClass("no-sections");
				
				feather.$content.find("input.close").on("click", function(){
					feather.$content.addClass("submit");
				});
			},
			
			beforeClose: function() {
				var feather = this;
				message.val(feather.$content.find("textarea[name = 'message']").val());
			},
			
			afterClose: function() {
				var feather = this;
				
				if (feather.$content.hasClass('submit')) {
				
					form.trigger("submit");
				}
			},
	};
	
	$.featherlight(modal, config);
}