package com.nordicpeak.flowengine.queue.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

@XMLElement(name = "validationError")
public class ErrorSendingToRecipientViaEmailValidationError extends ValidationError {

	private static final long serialVersionUID = 2761360944973396555L;

	@XMLElement
	private QueueSlot slot;

	@XMLElement
	private String email;

	public ErrorSendingToRecipientViaEmailValidationError(QueueSlot slot, String email) {

		super("ErrorSendingToRecipientViaEmail");

		this.slot = slot;
		this.email = email;
	}

	public QueueSlot getSlot() {

		return slot;
	}
}
