package com.nordicpeak.flowengine.remotegeometryendpointprovider;

import java.util.List;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.hierarchy.core.interfaces.attributes.AttributeHandler;

public interface RemoteGeometryEndpointProvider {

	List<? extends RemoteGeometryEndpointDescriptor> getEndpoints();

	RemoteGeometryEndpointDescriptor getEndpoint(String name);

	List<RemoteGeometry> getGeometries(String endPointName, AttributeHandler attributeHandler, User user);

	String getEndpointHash(String endPointName, AttributeHandler attributeHandler, User user);
}
