<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="RemoteGeometryEndpointProviderModuleTemplates.xsl"/>
	
	<!-- Java i18n -->
	<xsl:variable name="java.apiSourceShortTypeName">Geometrier</xsl:variable>
	<xsl:variable name="java.apiSourceFullTypeName">Geometrier</xsl:variable>	
	
	<!-- Validation -->
	<xsl:variable name="i18n.validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	
	<!-- Internationalization -->
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.ListEndpoints">Geometrikllor</xsl:variable>
	<xsl:variable name="i18n.ShowEndpoint">Geometriklla</xsl:variable>
	<xsl:variable name="i18n.AddEndpoint">Ny geometriklla</xsl:variable>
	<xsl:variable name="i18n.UpdateEndpoint">ndra geometriklla</xsl:variable>
	<xsl:variable name="i18n.Add">Ny geometriklla</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.NoEndpoints">Det finns inga geometrikllor upplagda</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">Vill du verkligen ta bort</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.URL">Adress (URL)</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.Encoding">Teckenkodning</xsl:variable>
	<xsl:variable name="i18n.EndpointUsage">Anvndning i e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Flow">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Version">Version</xsl:variable>
	<xsl:variable name="i18n.StepAndQuestion">Steg och frga</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.NoQueries">Geometrikllan anvnds inte i ngra e-tjnster</xsl:variable>
	
	<xsl:variable name="i18n.TagsTable.description.part1">Exempel p en attributfiltrerad url som utnyttjar attribut/taggar:</xsl:variable>
	<xsl:variable name="i18n.DynamicURLExample">https://www.siten.com/api/hmtageometrier?fastparam=fastvrde&amp;dynamiskparam1=$attribute{mitt_attributnamn}&amp;dynamiskparam2=$user.attribute{citizenIdentifier}&amp;dynamiskparam3=$user.email</xsl:variable>
	<xsl:variable name="i18n.TagsTable.description.part2">Fljande taggar kan anvndas (kan finnas fler):</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.UserFirstnameTag">Anvndarens frnamn</xsl:variable>
	<xsl:variable name="i18n.UserLastnameTag">Anvndarens efternamn</xsl:variable>
	<xsl:variable name="i18n.UserEmailTag">Anvndarens e-postadress</xsl:variable>
	<xsl:variable name="i18n.UserUsernameTag">Anvndarens anvndarnamn (endast medarbetarkonto)</xsl:variable>
	<xsl:variable name="i18n.UserUserIDTag">Anvndarens anvndar-ID</xsl:variable>
	<xsl:variable name="i18n.UserCitizenIdentifierTag">Anvndarens personnummer</xsl:variable>
</xsl:stylesheet>
