<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="RemoteInfoQueryEndpointAdminModuleTemplates.xsl"/>
	
	<!-- Java i18n -->
	<xsl:variable name="java.apiSourceShortTypeName">Info.frgor</xsl:variable>
	<xsl:variable name="java.apiSourceFullTypeName">Informationsfrgor</xsl:variable>
	
	<!-- Validation -->
	<xsl:variable name="i18n.validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	
	<!-- Internationalization -->
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.ListEndpoints">API kllor fr informationsfrgor</xsl:variable>
	<xsl:variable name="i18n.ShowEndpoint">Informationsklla</xsl:variable>
	<xsl:variable name="i18n.AddEndpoint">Ny informationsklla</xsl:variable>
	<xsl:variable name="i18n.UpdateEndpoint">ndra informationsklla</xsl:variable>
	<xsl:variable name="i18n.Add">Ny informationsklla</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.NoEndpoints">Det finns inga informationskllor upplagda</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">Vill du verkligen ta bort</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.Address">Adress (URL)</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.Encoding">Teckenkodning</xsl:variable>
	<xsl:variable name="i18n.EndpointUsage">Anvndning i e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Flow">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Version">Version</xsl:variable>
	<xsl:variable name="i18n.StepAndQuestion">Steg och frga</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.NoQueries">Informationskllan anvnds inte i ngra e-tjnster</xsl:variable>
	
	<xsl:variable name="i18n.TagsTable.description.part1">Exempel p en attributfiltrerad url som utnyttjar attribut/taggar:</xsl:variable>
	<xsl:variable name="i18n.DynamicURLExample">https://api.organisationen.se/anrop?fastparam=fastvrde&amp;dynamiskparam1=$attribute{mitt_attributnamn}&amp;dynamiskparam2=$user.attribute{citizenIdentifier}&amp;dynamiskparam3=$user.email</xsl:variable>
	<xsl:variable name="i18n.TagsTable.description.part2">Fljande taggar kan anvndas, $user alltid avser den skande medan $currentUser den inloggade anvndaren fr tillfllet ex. handlggare eller den skande:</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.UserFirstnameTag">Anvndarens frnamn</xsl:variable>
	<xsl:variable name="i18n.UserLastnameTag">Anvndarens efternamn</xsl:variable>
	<xsl:variable name="i18n.UserEmailTag">Anvndarens e-postadress</xsl:variable>
	<xsl:variable name="i18n.UserUsernameTag">Anvndarens anvndarnamn (endast medarbetarkonto)</xsl:variable>
	<xsl:variable name="i18n.UserUserIDTag">Anvndarens anvndar-ID</xsl:variable>
	<xsl:variable name="i18n.UserCitizenIdentifierTag">Anvndarens personnummer</xsl:variable>
	<xsl:variable name="i18n.Tags.Attribute">Vrde p attribut frn rende</xsl:variable>
</xsl:stylesheet>
