
package se.bolagsverket.schema.ssbt.foretag;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for avvecklingTyp.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="avvecklingTyp">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="DelningOverlatande"/>
 *     &lt;enumeration value="DelningOvertagande"/>
 *     &lt;enumeration value="Foretagsrekonstruktion"/>
 *     &lt;enumeration value="FusionOverlatande"/>
 *     &lt;enumeration value="FusionOvertagande"/>
 *     &lt;enumeration value="Konkurs"/>
 *     &lt;enumeration value="Likvidation"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "avvecklingTyp")
@XmlEnum
public enum AvvecklingTyp {

    @XmlEnumValue("DelningOverlatande")
    DELNING_OVERLATANDE("DelningOverlatande"),
    @XmlEnumValue("DelningOvertagande")
    DELNING_OVERTAGANDE("DelningOvertagande"),
    @XmlEnumValue("Foretagsrekonstruktion")
    FORETAGSREKONSTRUKTION("Foretagsrekonstruktion"),
    @XmlEnumValue("FusionOverlatande")
    FUSION_OVERLATANDE("FusionOverlatande"),
    @XmlEnumValue("FusionOvertagande")
    FUSION_OVERTAGANDE("FusionOvertagande"),
    @XmlEnumValue("Konkurs")
    KONKURS("Konkurs"),
    @XmlEnumValue("Likvidation")
    LIKVIDATION("Likvidation");
    private final String value;

    AvvecklingTyp(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AvvecklingTyp fromValue(String v) {
        for (AvvecklingTyp c: AvvecklingTyp.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
