
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbt.foretag.JaNej;


/**
 * Arbetsgivarregistrering.
 * 
 * <p>Java class for ud0033 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0033">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Arbetsgivarregistrerad" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0033", propOrder = {
    "arbetsgivarregistrerad",
    "fel"
})
public class Ud0033
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "Arbetsgivarregistrerad", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    @XmlSchemaType(name = "string")
    protected JaNej arbetsgivarregistrerad;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the arbetsgivarregistrerad property.
     * 
     * @return
     *     possible object is
     *     {@link JaNej }
     *     
     */
    public JaNej getArbetsgivarregistrerad() {
        return arbetsgivarregistrerad;
    }

    /**
     * Sets the value of the arbetsgivarregistrerad property.
     * 
     * @param value
     *     allowed object is
     *     {@link JaNej }
     *     
     */
    public void setArbetsgivarregistrerad(JaNej value) {
        this.arbetsgivarregistrerad = value;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
