
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;


/**
 * SNI-koder fr fretagets arbetsstllen.
 * 
 * <p>Java class for ud0039 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0039">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}SNIKoderArbetsstalle" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0039", propOrder = {
    "sniKoderArbetsstalle",
    "fel"
})
public class Ud0039
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "SNIKoderArbetsstalle")
    protected List<SniKoderArbetsstalle> sniKoderArbetsstalle;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the sniKoderArbetsstalle property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sniKoderArbetsstalle property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSNIKoderArbetsstalle().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SniKoderArbetsstalle }
     * 
     * 
     */
    public List<SniKoderArbetsstalle> getSNIKoderArbetsstalle() {
        if (sniKoderArbetsstalle == null) {
            sniKoderArbetsstalle = new ArrayList<SniKoderArbetsstalle>();
        }
        return this.sniKoderArbetsstalle;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
