
package se.bolagsverket.schema.ssbtro.servicefel;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.bolagsverket.schema.ssbtro.servicefel package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ServicefelMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/servicefel", "ServicefelMetadata");
    private final static QName _ServicefelDetaljer_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/servicefel", "ServicefelDetaljer");
    private final static QName _Servicefel_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/servicefel", "Servicefel");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.bolagsverket.schema.ssbtro.servicefel
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ServicefelMetadata }
     * 
     */
    public ServicefelMetadata createServicefelMetadata() {
        return new ServicefelMetadata();
    }

    /**
     * Create an instance of {@link ServicefelDetaljer }
     * 
     */
    public ServicefelDetaljer createServicefelDetaljer() {
        return new ServicefelDetaljer();
    }

    /**
     * Create an instance of {@link Servicefel }
     * 
     */
    public Servicefel createServicefel() {
        return new Servicefel();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServicefelMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/servicefel", name = "ServicefelMetadata")
    public JAXBElement<ServicefelMetadata> createServicefelMetadata(ServicefelMetadata value) {
        return new JAXBElement<ServicefelMetadata>(_ServicefelMetadata_QNAME, ServicefelMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServicefelDetaljer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/servicefel", name = "ServicefelDetaljer")
    public JAXBElement<ServicefelDetaljer> createServicefelDetaljer(ServicefelDetaljer value) {
        return new JAXBElement<ServicefelDetaljer>(_ServicefelDetaljer_QNAME, ServicefelDetaljer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Servicefel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/servicefel", name = "Servicefel")
    public JAXBElement<Servicefel> createServicefel(Servicefel value) {
        return new JAXBElement<Servicefel>(_Servicefel_QNAME, Servicefel.class, null, value);
    }

}
