package com.nordicpeak.flowengine.queries.ssbt;

import com.nordicpeak.flowengine.queries.ssbt.enums.CompanyType;

public class UnregisteredCompanyTypeAlternative extends CompanyTypeAlternative {

	private static final long serialVersionUID = -2054778588793617731L;

	public UnregisteredCompanyTypeAlternative() {
		super(CompanyType.E);
	}

	@Override
	public Integer getAlternativeID() {

		return super.getAlternativeID() + 100;
	}

	@Override
	public String getName() {

		return this.getExportXMLValue();
	}

	@Override
	public String getExportXMLValue() {

		return super.getExportXMLValue() + " (ej registrerat hos Bolagsverket)";
	}

}