package com.nordicpeak.flowengine.evaluators.setweightbyexistingtreservacaseevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetWeightByExistingTreservaCaseEvaluatorCRUD extends BaseEvaluatorCRUD<SetWeightByExistingTreservaCaseEvaluator, SetWeightByExistingTreservaCaseEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<SetWeightByExistingTreservaCaseEvaluator> POPULATOR = new AnnotatedRequestPopulator<>(SetWeightByExistingTreservaCaseEvaluator.class);

	public SetWeightByExistingTreservaCaseEvaluatorCRUD(Class<SetWeightByExistingTreservaCaseEvaluator> beanClass, AnnotatedDAOWrapper<SetWeightByExistingTreservaCaseEvaluator, Integer> evaluatorDAO, SetWeightByExistingTreservaCaseEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetWeightByExistingTreservaCaseEvaluator", "set weight by existing treserva case evaluator", null, callback);
	}

}
