package com.nordicpeak.flowengine.integration.treserva.beans;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.ManyToOne;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.integration.base.beans.BaseIntegrationParameter;

@Table(name = "treserva_integration_parameters")
@XMLElement(name = "Parameter")
public class IntegrationParameter extends BaseIntegrationParameter {

	@DAOManaged(columnName = "flowFamilyID")
	@ManyToOne
	private IntegrationSettings settings;

	public IntegrationSettings getSettings() {

		return settings;
	}

	public void setSettings(IntegrationSettings settings) {

		this.settings = settings;
	}

}
