package com.nordicpeak.flowengine.evaluators.setbookingqueryslotparam;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetBookingQuerySlotParamEvaluatorCRUD extends BaseEvaluatorCRUD<SetBookingQuerySlotParamEvaluator, SetBookingQuerySlotParamEvaluationProviderModule> {
	
	private static final AnnotatedRequestPopulator<SetBookingQuerySlotParamEvaluator> POPULATOR = new AnnotatedRequestPopulator<SetBookingQuerySlotParamEvaluator>(SetBookingQuerySlotParamEvaluator.class);
	
	public SetBookingQuerySlotParamEvaluatorCRUD(Class<SetBookingQuerySlotParamEvaluator> beanClass, AnnotatedDAOWrapper<SetBookingQuerySlotParamEvaluator, Integer> evaluatorDAO, SetBookingQuerySlotParamEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "SetBookingQuerySlotParamEvaluator", "set booking query slot from parameter evaluator", null, callback);
	}
	
}
