<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="WeightAPIAdminModuleTemplates.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/utils/flowfamilylist/FlowFamilyList.sv.xsl"/>

	<!-- Java i18n -->
	<xsl:variable name="java.apiSourceShortTypeName">Vikt</xsl:variable>
	<xsl:variable name="java.apiSourceFullTypeName">Vikt</xsl:variable>
	
	<xsl:variable name="java.eventSourceAddedMessage">Skapade API-klla</xsl:variable>
	<xsl:variable name="java.eventSourceUpdatedMessage">ndrade API-klla</xsl:variable>

	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.Update.Description">OBS. Tnk p att vid namnbyte s tappas kopplingen till frgorna i e-tjnsterna. Detta medfr att e-tjnsterna mste uppdateras och kopplas mot det nya namnet.</xsl:variable>
	<xsl:variable name="i18n.UpdateAPISource">ndra API-klla fr viktning</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">r du sker p att du vill ta bort</xsl:variable>
	<xsl:variable name="i18n.DeleteAPISource">Ta bort API-klla</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.ListAPISources">API-kllor fr viktning</xsl:variable>
	<xsl:variable name="i18n.ListAPISources.Description">Hr kan du lgga till och ta bort API-kllor.</xsl:variable>
	<xsl:variable name="i18n.ListAPISources.NoListsFound">Inga API-kllor hittades.</xsl:variable>
	
	<xsl:variable name="i18n.Show">Visa API-klla</xsl:variable>
	
	<xsl:variable name="i18n.FlowUsage.Button">Visa anvndning i e-tjnster</xsl:variable>
	<xsl:variable name="i18n.FlowUsage.Title">Anvndning i e-tjnster fr</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.NotUsed">API-kllan anvnds inte i ngon e-tjnst</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.FlowName">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.FlowVersion">Version</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.StepAndQueries">Steg, frga och regel</xsl:variable>
	
	<xsl:variable name="i18n.Events.Title">ndringslogg</xsl:variable>
	<xsl:variable name="i18n.Events.Full.Title">Fullstndig ndringslogg fr</xsl:variable>
	<xsl:variable name="i18n.Events.Description">Tabellen nedan visar de senaste ndringarna fr API-kllan.</xsl:variable>
	<xsl:variable name="i18n.Events.Full.Description">Tabellen nedan visar alla ndringarna fr API-kllan.</xsl:variable>
	<xsl:variable name="i18n.Events.message">Hndelse</xsl:variable>
	<xsl:variable name="i18n.Events.poster">Anvndare</xsl:variable>
	<xsl:variable name="i18n.Events.added">Tidpunkt</xsl:variable>
	<xsl:variable name="i18n.Events.NoEvents">Inga ndringar hittades.</xsl:variable>
	<xsl:variable name="i18n.Events.ShowAll">Visa alla ndringar</xsl:variable>
	
	<xsl:variable name="i18n.RemovedUser">Borttagen anvndare</xsl:variable>

	<xsl:variable name="i18n.URL">Adress med attributfiltrering</xsl:variable>
	<xsl:variable name="i18n.Encoding">Teckenkodning</xsl:variable>	
	<xsl:variable name="i18n.Authentication">Autentisering (basic authentication)</xsl:variable>
	<xsl:variable name="i18n.UseAuthentication">Aktivera autentisering</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.EnabledFlow">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyID">E-tjnst</xsl:variable>
		
	<xsl:variable name="i18n.Authorization.Title">tkomst</xsl:variable>
	<xsl:variable name="i18n.Authorization.activate">Aktivera begrnsad tkomst</xsl:variable>
	<xsl:variable name="i18n.Authorization.allowedFlowFamilies">E-tjnst:</xsl:variable>
	<xsl:variable name="i18n.Authorization.Save">Spara</xsl:variable>
	
	<xsl:variable name="i18n.Tags.description.part1">Exempel p en attributfiltrerad url som utnyttjar attribut/taggar:</xsl:variable>
	<xsl:variable name="i18n.Tags.description.part2">https://api.organisationen.se/anrop?fastparam=fastvrde&amp;dynamiskparam1=$attribute{mitt_attributnamn}&amp;dynamiskparam2=$user.attribute{citizenIdentifier}&amp;dynamiskparam3=$user.email</xsl:variable>
	<xsl:variable name="i18n.Tags.description.part3">Fljande taggar kan anvndas (kan finnas fler):</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Tag.description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Tags.UserFirstname">Anvndarens frnamn</xsl:variable>
	<xsl:variable name="i18n.Tags.UserLastname">Anvndarens efternamn</xsl:variable>
	<xsl:variable name="i18n.Tags.UserEmail">Anvndarens e-postadress</xsl:variable>
	<xsl:variable name="i18n.Tags.UserUsername">Anvndarens anvndarnamn (endast medarbetarkonto)</xsl:variable>
	<xsl:variable name="i18n.Tags.UserUserID">Anvndarens anvndar-ID</xsl:variable>
	<xsl:variable name="i18n.Tags.UserCitizenIdentifier">Anvndarens personnummer</xsl:variable>
	<xsl:variable name="i18n.Tags.Attribute">Vrde p attribut frn rende</xsl:variable>
	<xsl:variable name="i18n.Tags.FieldValue">Vrde p aktuellt flt (om tillgngligt)</xsl:variable>
	
	<xsl:variable name="i18n.Validation.requiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.Validation.invalidFormat">Ogiltigt format p innehllet i fltet</xsl:variable>
	<xsl:variable name="i18n.Validation.tooLong">Fr lngt innehll i fltet</xsl:variable>
	<xsl:variable name="i18n.Validation.tooShort">Fr kort innehll i fltet</xsl:variable>
	<xsl:variable name="i18n.Validation.other">Ett oknt fel</xsl:variable>
	<xsl:variable name="i18n.Validation.unknownFault">Ett oknt fel har uppsttt</xsl:variable>
	<xsl:variable name="i18n.Validation.unknownMessageKey">Ett oknt fel har uppsttt</xsl:variable>
	<xsl:variable name="i18n.Validation.APISourceNotFound">Den begrda API-kllan hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.UnableToDeleteAPISourceInUse">Det gr inte att ta bort API-kllan fr den anvnds i en e-tjnst.</xsl:variable>
	<xsl:variable name="i18n.Validation.APISourceNameAlreadyInUse">Det valda namnet anvnds redan i en annan API-klla</xsl:variable>
	<xsl:variable name="i18n.Validation.InvalidURL">Adressen mste brja med http:// eller https://</xsl:variable>
	<xsl:variable name="i18n.ValidationError.FlowFamilyInUseValidationError">Fljande e-tjnst anvnder denna API-klla och mste lggas till fr tkomst eller ta bort beroendet:</xsl:variable>
	
	
</xsl:stylesheet>
