
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for engine complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="engine">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="camshaft" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="compress" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="cyl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cylBore" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="cylStroke" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="cylVolume" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="driveWheel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="engFam" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="engType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="eng_loc" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="injec" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="powerHp" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="powerKw" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="powerRpm" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="torqKpm" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="torqNm" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="torqRpm" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="valvesCyl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "engine", propOrder = {
    "camshaft",
    "compress",
    "cyl",
    "cylBore",
    "cylStroke",
    "cylVolume",
    "driveWheel",
    "engFam",
    "engType",
    "engLoc",
    "injec",
    "powerHp",
    "powerKw",
    "powerRpm",
    "torqKpm",
    "torqNm",
    "torqRpm",
    "valvesCyl"
})
public class Engine
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected String camshaft;
    protected StringUnit compress;
    protected String cyl;
    protected StringUnit cylBore;
    protected StringUnit cylStroke;
    protected StringUnit cylVolume;
    protected String driveWheel;
    protected String engFam;
    protected String engType;
    @XmlElement(name = "eng_loc")
    protected String engLoc;
    protected String injec;
    protected StringUnit powerHp;
    protected StringUnit powerKw;
    protected StringUnit powerRpm;
    protected StringUnit torqKpm;
    protected StringUnit torqNm;
    protected StringUnit torqRpm;
    protected String valvesCyl;

    /**
     * Gets the value of the camshaft property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getCamshaft() {
        return camshaft;
    }

    /**
     * Sets the value of the camshaft property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setCamshaft(String value) {
        this.camshaft = value;
    }

    /**
     * Gets the value of the compress property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getCompress() {
        return compress;
    }

    /**
     * Sets the value of the compress property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setCompress(StringUnit value) {
        this.compress = value;
    }

    /**
     * Gets the value of the cyl property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getCyl() {
        return cyl;
    }

    /**
     * Sets the value of the cyl property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setCyl(String value) {
        this.cyl = value;
    }

    /**
     * Gets the value of the cylBore property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getCylBore() {
        return cylBore;
    }

    /**
     * Sets the value of the cylBore property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setCylBore(StringUnit value) {
        this.cylBore = value;
    }

    /**
     * Gets the value of the cylStroke property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getCylStroke() {
        return cylStroke;
    }

    /**
     * Sets the value of the cylStroke property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setCylStroke(StringUnit value) {
        this.cylStroke = value;
    }

    /**
     * Gets the value of the cylVolume property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getCylVolume() {
        return cylVolume;
    }

    /**
     * Sets the value of the cylVolume property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setCylVolume(StringUnit value) {
        this.cylVolume = value;
    }

    /**
     * Gets the value of the driveWheel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getDriveWheel() {
        return driveWheel;
    }

    /**
     * Sets the value of the driveWheel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setDriveWheel(String value) {
        this.driveWheel = value;
    }

    /**
     * Gets the value of the engFam property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getEngFam() {
        return engFam;
    }

    /**
     * Sets the value of the engFam property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setEngFam(String value) {
        this.engFam = value;
    }

    /**
     * Gets the value of the engType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getEngType() {
        return engType;
    }

    /**
     * Sets the value of the engType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setEngType(String value) {
        this.engType = value;
    }

    /**
     * Gets the value of the engLoc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getEngLoc() {
        return engLoc;
    }

    /**
     * Sets the value of the engLoc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setEngLoc(String value) {
        this.engLoc = value;
    }

    /**
     * Gets the value of the injec property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getInjec() {
        return injec;
    }

    /**
     * Sets the value of the injec property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setInjec(String value) {
        this.injec = value;
    }

    /**
     * Gets the value of the powerHp property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getPowerHp() {
        return powerHp;
    }

    /**
     * Sets the value of the powerHp property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setPowerHp(StringUnit value) {
        this.powerHp = value;
    }

    /**
     * Gets the value of the powerKw property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getPowerKw() {
        return powerKw;
    }

    /**
     * Sets the value of the powerKw property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setPowerKw(StringUnit value) {
        this.powerKw = value;
    }

    /**
     * Gets the value of the powerRpm property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getPowerRpm() {
        return powerRpm;
    }

    /**
     * Sets the value of the powerRpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setPowerRpm(StringUnit value) {
        this.powerRpm = value;
    }

    /**
     * Gets the value of the torqKpm property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTorqKpm() {
        return torqKpm;
    }

    /**
     * Sets the value of the torqKpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTorqKpm(StringUnit value) {
        this.torqKpm = value;
    }

    /**
     * Gets the value of the torqNm property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTorqNm() {
        return torqNm;
    }

    /**
     * Sets the value of the torqNm property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTorqNm(StringUnit value) {
        this.torqNm = value;
    }

    /**
     * Gets the value of the torqRpm property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTorqRpm() {
        return torqRpm;
    }

    /**
     * Sets the value of the torqRpm property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTorqRpm(StringUnit value) {
        this.torqRpm = value;
    }

    /**
     * Gets the value of the valvesCyl property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getValvesCyl() {
        return valvesCyl;
    }

    /**
     * Sets the value of the valvesCyl property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setValvesCyl(String value) {
        this.valvesCyl = value;
    }

}
