
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hs02SaluvagnsInnehavResultat complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hs02SaluvagnsInnehavResultat">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilResultat">
 *       &lt;sequence>
 *         &lt;element name="sa01" type="{http://infobilv3.webservices.infotorg.se/}sa01" minOccurs="0"/>
 *         &lt;element name="sa02" type="{http://infobilv3.webservices.infotorg.se/}sa02" minOccurs="0"/>
 *         &lt;element name="sa27" type="{http://infobilv3.webservices.infotorg.se/}sa27" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OLTP_huvud" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="O_Nyckel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Perorgnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="saluvnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Postort" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="adress" type="{http://infobilv3.webservices.infotorg.se/}adress" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hs02SaluvagnsInnehavResultat", propOrder = {
    "sa01",
    "sa02",
    "sa27",
    "oltpHuvud",
    "oNyckel",
    "perorgnr",
    "saluvnr",
    "postort",
    "adress"
})
public class Hs02SaluvagnsInnehavResultat
    extends InfobilResultat
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Sa01 sa01;
    protected Sa02 sa02;
    @XmlElement(nillable = true)
    protected List<Sa27> sa27;
    @XmlElement(name = "OLTP_huvud")
    protected String oltpHuvud;
    @XmlElement(name = "O_Nyckel")
    protected String oNyckel;
    @XmlElement(name = "Perorgnr")
    protected String perorgnr;
    protected String saluvnr;
    @XmlElement(name = "Postort")
    protected String postort;
    @XmlElement(nillable = true)
    protected List<Adress> adress;

    /**
     * Gets the value of the sa01 property.
     * 
     * @return
     *     possible object is
     *     {@link Sa01 }
     * 
     */
    public Sa01 getSa01() {
        return sa01;
    }

    /**
     * Sets the value of the sa01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sa01 }
     * 
     */
    public void setSa01(Sa01 value) {
        this.sa01 = value;
    }

    /**
     * Gets the value of the sa02 property.
     * 
     * @return
     *     possible object is
     *     {@link Sa02 }
     * 
     */
    public Sa02 getSa02() {
        return sa02;
    }

    /**
     * Sets the value of the sa02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sa02 }
     * 
     */
    public void setSa02(Sa02 value) {
        this.sa02 = value;
    }

    /**
     * Gets the value of the sa27 property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sa27 property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSa27().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Sa27 }
     * 
     * 
     */
    public List<Sa27> getSa27() {
        if (sa27 == null) {
            sa27 = new ArrayList<Sa27>();
        }
        return this.sa27;
    }

    /**
     * Gets the value of the oltpHuvud property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getOLTPHuvud() {
        return oltpHuvud;
    }

    /**
     * Sets the value of the oltpHuvud property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setOLTPHuvud(String value) {
        this.oltpHuvud = value;
    }

    /**
     * Gets the value of the oNyckel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getONyckel() {
        return oNyckel;
    }

    /**
     * Sets the value of the oNyckel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setONyckel(String value) {
        this.oNyckel = value;
    }

    /**
     * Gets the value of the perorgnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getPerorgnr() {
        return perorgnr;
    }

    /**
     * Sets the value of the perorgnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setPerorgnr(String value) {
        this.perorgnr = value;
    }

    /**
     * Gets the value of the saluvnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getSaluvnr() {
        return saluvnr;
    }

    /**
     * Sets the value of the saluvnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setSaluvnr(String value) {
        this.saluvnr = value;
    }

    /**
     * Gets the value of the postort property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getPostort() {
        return postort;
    }

    /**
     * Sets the value of the postort property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setPostort(String value) {
        this.postort = value;
    }

    /**
     * Gets the value of the adress property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adress property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Adress }
     * 
     * 
     */
    public List<Adress> getAdress() {
        if (adress == null) {
            adress = new ArrayList<Adress>();
        }
        return this.adress;
    }

}
