package com.nordicpeak.flowengine.booking.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.booking.beans.Booking;

@XMLElement(name = "validationError")
public class ErrorSendingToRecipientViaEmailValidationError extends ValidationError {

	private static final long serialVersionUID = 4420840793890459278L;

	@XMLElement
	private Booking slot;

	@XMLElement
	private String email;

	public ErrorSendingToRecipientViaEmailValidationError(Booking slot, String email) {

		super("ErrorSendingToRecipientViaEmail");

		this.slot = slot;
		this.email = email;
	}

	public Booking getSlot() {

		return slot;
	}
}
