package com.nordicpeak.flowengine.booking.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.booking.beans.Booking;

@XMLElement(name = "validationError")
public class ErrorSendingToRecipientViaSMSValidationError extends ValidationError {

	private static final long serialVersionUID = -7474260311398360546L;

	@XMLElement
	private Booking slot;

	@XMLElement
	private String phoneNumber;

	public ErrorSendingToRecipientViaSMSValidationError(Booking slot, String phoneNumber) {

		super("ErrorSendingToRecipientViaSMS");

		this.slot = slot;
		this.phoneNumber = phoneNumber;
	}

	public Booking getSlot() {

		return slot;
	}
}
