<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:exsl="http://exslt.org/common">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1" />

	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/xsl/Common.xsl"/>

	<xsl:template match="Document">
	
		<xsl:apply-templates select="ShowIntegrationSettings" />
			
	</xsl:template>
	
	<xsl:template match="ShowIntegrationSettings">
	
		<a name="boverketintegrationsettings" />
		
		<xsl:choose>
			<xsl:when test="BoverketIntegrationSettings">
				
				<div class="full floatleft">
					<xsl:value-of select="$i18n.Settings.Enabled" />
					
					<a href="{/Document/ModuleURI}/toggle/{Flow/flowID}?disable=1" class="floatright">
						<xsl:value-of select="$i18n.Disable" />
						<img class="alignmiddle marginleft" src="{/Document/StaticContentURL}/pics/delete.png" alt="" />
					</a>
				</div>
				
			</xsl:when>
			<xsl:otherwise>
			
				<xsl:value-of select="$i18n.Settings.Disabled" />
				
				<a href="{/Document/ModuleURI}/toggle/{Flow/flowID}?enable=1" class="floatright">
					<xsl:value-of select="$i18n.Enable" />
					<img class="alignmiddle marginleft" src="{/Document/StaticContentURL}/pics/add.png" alt="" />
				</a>
				
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
</xsl:stylesheet>