package com.nordicpeak.flowengine.changeowner.beans;

import se.unlogic.standardutils.annotations.WebPopulate;
import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;

@Table(name = "ownership_change_flow_settings")
@XMLElement
public class FlowFamilyChangeOwnerSettings extends GeneratedElementable {

	@DAOManaged
	@Key
	@XMLElement
	private Integer flowFamilyID;

	@DAOManaged
	@WebPopulate
	@XMLElement
	private boolean allowSubmitted;

	@DAOManaged
	@WebPopulate
	@XMLElement
	private boolean requireEmail;

	@DAOManaged
	@WebPopulate
	@XMLElement
	private boolean requireMobilePhone;
	
	@DAOManaged
	@WebPopulate
	@XMLElement
	private boolean showOwnershipChangeMessage;

	public Integer getFlowFamilyID() {

		return flowFamilyID;
	}

	public void setFlowFamilyID(Integer flowFamilyID) {

		this.flowFamilyID = flowFamilyID;
	}

	public boolean isAllowSubmitted() {

		return allowSubmitted;
	}

	public void setAllowSubmitted(boolean allowSubmitted) {

		this.allowSubmitted = allowSubmitted;
	}

	public boolean isRequireEmail() {

		return requireEmail;
	}

	public void setRequireEmail(boolean requireEmail) {

		this.requireEmail = requireEmail;
	}

	public boolean isRequireMobilePhone() {

		return requireMobilePhone;
	}

	public void setRequireMobilePhone(boolean requireMobilePhone) {

		this.requireMobilePhone = requireMobilePhone;
	}
	
	public boolean isShowOwnershipChangeMessage() {
		return showOwnershipChangeMessage;
	}
	
	public void setShowOwnershipChangeMessage(boolean showOwnershipChangeMessage) {
		this.showOwnershipChangeMessage = showOwnershipChangeMessage;
	}

}
