package com.nordicpeak.flowengine.evaluators.changeposterevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ChangePosterEvaluatorCRUD extends BaseEvaluatorCRUD<ChangePosterEvaluator, ChangePosterEvaluationProviderModule> {

	private static final BeanRequestPopulator<ChangePosterEvaluator> POPULATOR = new AnnotatedRequestPopulator<ChangePosterEvaluator>(ChangePosterEvaluator.class);

	public ChangePosterEvaluatorCRUD(Class<ChangePosterEvaluator> beanClass, AnnotatedDAOWrapper<ChangePosterEvaluator, Integer> evaluatorDAO, ChangePosterEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "ChangePosterEvaluator", "change flow instance owner evaluator", null, callback);
	}
	
}
