package com.nordicpeak.flowengine.evaluators.childcountquerystateevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ChildCountQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<ChildCountQueryStateEvaluator, ChildCountQueryStateEvaluationProviderModule> {

	private static final BeanRequestPopulator<ChildCountQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<ChildCountQueryStateEvaluator>(ChildCountQueryStateEvaluator.class);

	public ChildCountQueryStateEvaluatorCRUD(Class<ChildCountQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<ChildCountQueryStateEvaluator, Integer> evaluatorDAO, ChildCountQueryStateEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "ChildCountQueryStateEvaluator", "child count query state evaluator", null, callback);
	}

}
