<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="CityworksIntegrationProviderTemplates.xsl"/>

	<xsl:variable name="java.errorEmailSubject">Fel vid anrop till Cityworks</xsl:variable>

	<xsl:variable name="java.errorEmailMessage">
		
		&lt;p&gt;Fel vid anrop till Cityworks fr rende $flow.name (rende nr. $flowInstance.flowInstanceID). rendet kan behva hmtas manuellt.&lt;/p&gt;
		
		&lt;p&gt;Kunde ej skapa Cityworks-rende, eller kunde endast delvis skapa Cityworks-rende.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.Url">Adress</xsl:variable>
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.flowVersion">version</xsl:variable>
	
	<xsl:variable name="i18n.Settings.enabled">Aktivera integrationen</xsl:variable>
	<xsl:variable name="i18n.Settings.endpoint">Cityworks installation</xsl:variable>
	<xsl:variable name="i18n.Settings.username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Settings.password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.Settings.problemSID">Problemtyp ID</xsl:variable>
	<xsl:variable name="i18n.Settings.priorityID">Prioritet ID</xsl:variable>
	<xsl:variable name="i18n.Settings.address">Address</xsl:variable>
	<xsl:variable name="i18n.Settings.coordinates">Koordinater</xsl:variable>
	<xsl:variable name="i18n.Settings.details">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Settings.callerFirstname">Anmlare frnamn</xsl:variable>
	<xsl:variable name="i18n.Settings.callerLastname">Anmlare efternamn</xsl:variable>
	<xsl:variable name="i18n.Settings.callerEmail">Anmlare e-post</xsl:variable>
	<xsl:variable name="i18n.Settings.callerPhone">Anmlare telefon</xsl:variable>
	<xsl:variable name="i18n.Settings.callerWantsFollowUpCall">Anmlare nskar terkoppling (Vrdet ska vara "true")</xsl:variable>
	
	<xsl:variable name="i18n.Settings.Attachments">PDF &amp; bilagor</xsl:variable>
	<xsl:variable name="i18n.AttachmentMode.none">Bifoga inga bilagor</xsl:variable>
	<xsl:variable name="i18n.AttachmentMode.PDF">Bifoga PDF</xsl:variable>
	<xsl:variable name="i18n.AttachmentMode.PDF_AND_ATTACHMENTS">Bifoga PDF samt bilagor</xsl:variable>
	<xsl:variable name="i18n.SplitValues">Dela upp kommaseparerade vrden i flera vrden.</xsl:variable>
	
	<xsl:variable name="i18n.ExternalMessages">Vidarebefodring av meddelanden frn Mina sidor</xsl:variable>
	<xsl:variable name="i18n.externalMessageSupportEnabled.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.externalMessageSupportEnabled.enabled">Aktiverad</xsl:variable>
	
	<xsl:variable name="i18n.Notifications">Notifikationer</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail">E-post vid kommunikationsfel</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail.EmailAddresses">E-postadresser fr notifiering vid kommunikationsfel</xsl:variable>

</xsl:stylesheet>
