
package com.easit.bpsservice.proxy;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ImportHandlerIdentifier" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ItemToImport" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://www.easit.com/bps/schemas}Item">
 *                 &lt;attribute name="UID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="GenericRequestProperty" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ImportItemsRequest", propOrder = {
    "importHandlerIdentifier",
    "itemToImport",
    "genericRequestProperty"
})
@XmlRootElement(name = "ImportItemsRequest")
public class ImportItemsRequest
    implements Serializable
{

    /**
	 * 
	 */
	private static final long serialVersionUID = 7307070470944046288L;
	@XmlElement(name = "ImportHandlerIdentifier", required = true)
    protected String importHandlerIdentifier;
    @XmlElement(name = "ItemToImport", required = true)
    protected List<ImportItemsRequest.ItemToImport> itemToImport;
    @XmlElement(name = "GenericRequestProperty")
    protected List<ImportItemsRequest.GenericRequestProperty> genericRequestProperty;

    /**
     * Gets the value of the importHandlerIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImportHandlerIdentifier() {
        return importHandlerIdentifier;
    }

    /**
     * Sets the value of the importHandlerIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImportHandlerIdentifier(String value) {
        this.importHandlerIdentifier = value;
    }

    /**
     * Gets the value of the itemToImport property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the itemToImport property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getItemToImport().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ImportItemsRequest.ItemToImport }
     * 
     * 
     */
    public List<ImportItemsRequest.ItemToImport> getItemToImport() {
        if (itemToImport == null) {
            itemToImport = new ArrayList<ImportItemsRequest.ItemToImport>();
        }
        return this.itemToImport;
    }

    /**
     * Gets the value of the genericRequestProperty property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the genericRequestProperty property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGenericRequestProperty().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ImportItemsRequest.GenericRequestProperty }
     * 
     * 
     */
    public List<ImportItemsRequest.GenericRequestProperty> getGenericRequestProperty() {
        if (genericRequestProperty == null) {
            genericRequestProperty = new ArrayList<ImportItemsRequest.GenericRequestProperty>();
        }
        return this.genericRequestProperty;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class GenericRequestProperty
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = 8428316371970233281L;
		@XmlValue
        protected String content;
        @XmlAttribute(name = "name", required = true)
        protected String name;

        /**
         * Gets the value of the content property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getContent() {
            return content;
        }

        /**
         * Sets the value of the content property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setContent(String value) {
            this.content = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setName(String value) {
            this.name = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://www.easit.com/bps/schemas}Item">
     *       &lt;attribute name="UID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "ItemToImport")
    public static class ItemToImport
        extends Item
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = 2837037124564923965L;
		@XmlAttribute(name = "UID", required = true)
        protected String uid;

        /**
         * Gets the value of the uid property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getUID() {
            return uid;
        }

        /**
         * Sets the value of the uid property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setUID(String value) {
            this.uid = value;
        }

    }

}
