<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="EfecteIntegrationProviderTemplates.xsl"/>
	
	<xsl:variable name="java.errorEmailSubject">Fel vid anrop till Efecte</xsl:variable>

	<xsl:variable name="java.errorEmailMessage">
		
		&lt;p&gt;Fel vid anrop till Efecte fr rende $flow.name (rende nr. $flowInstance.flowInstanceID). rendet kan behva hmtas manuellt.&lt;/p&gt;
		
		&lt;p&gt;Kunde ej skapa Efecte-rende, eller kunde endast delvis skapa Efecte-rende.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.Url">Adress</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.flowVersion">version</xsl:variable>
	<xsl:variable name="i18n.Enabled">Aktivera integrationen</xsl:variable>
	
	<xsl:variable name="i18n.Parameters">Parametrar</xsl:variable>
	<xsl:variable name="i18n.AddParameter">Lgg till parameter</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Value">Vrde</xsl:variable>	
		
	<xsl:variable name="i18n.Endpoint">Efecte installation</xsl:variable>
	<xsl:variable name="i18n.folderID">folderID</xsl:variable>
	<xsl:variable name="i18n.templateCode">templateCode</xsl:variable>
	<xsl:variable name="i18n.groupCode">groupCode</xsl:variable>
	<xsl:variable name="i18n.subject">mne</xsl:variable>
	<xsl:variable name="i18n.description">Beskrivning</xsl:variable>
	
	<xsl:variable name="i18n.Attachments">PDF &amp; bilagor</xsl:variable>
	<xsl:variable name="i18n.attachmentMode.none">Bifoga inga bilagor</xsl:variable>
	<xsl:variable name="i18n.attachmentMode.PDF">Bifoga PDF</xsl:variable>
	<xsl:variable name="i18n.attachmentMode.PDF_AND_ATTACHMENTS">Bifoga PDF samt bilagor</xsl:variable>
	<xsl:variable name="i18n.attachmentAttributeID">attributeId</xsl:variable>
	<xsl:variable name="i18n.SplitValues">Dela upp kommaseparerade vrden i flera vrden.</xsl:variable>
	
	<xsl:variable name="i18n.ExternalMessages">Vidarebefodring av meddelanden frn Mina sidor</xsl:variable>
	<xsl:variable name="i18n.externalMessageSupportEnabled.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.externalMessageSupportEnabled.enabled">Aktiverad</xsl:variable>

	<xsl:variable name="i18n.SolutionSupport">Lsningshantering</xsl:variable>
	<xsl:variable name="i18n.SolutionSupportEnabled">Aktivera lsningshantering</xsl:variable>
	<xsl:variable name="i18n.SolutionStatusName">Namn p lsningsstatus</xsl:variable>
	<xsl:variable name="i18n.SolutionMessage">Lsningsmeddelande</xsl:variable>
	<xsl:variable name="i18n.SolutionMessageDescription">Taggen $solutionMessage kan anvndas fr att referera till lsningsmeddelandet frn Efecte.</xsl:variable>
	
	<xsl:variable name="i18n.Notifications">Notifikationer</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail">E-post vid kommunikationsfel</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail.EmailAddresses">E-postadresser fr notifiering vid kommunikationsfel</xsl:variable>
	
	<xsl:variable name="i18n.skipEmptyParameters">Hoppa ver parametrar med tomma vrden</xsl:variable>
	
	<xsl:variable name="i18n.LocalStatusChanges">Vidarebefodring av statusndringar frn plattformen</xsl:variable>
	<xsl:variable name="i18n.managerStatusChangedSupportEnabled.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.managerStatusChangedSupportEnabled.enabled">Aktiverad</xsl:variable>
</xsl:stylesheet>
