
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DirectionStatus.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="DirectionStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Preliminary"/>
 *     &lt;enumeration value="In"/>
 *     &lt;enumeration value="Out"/>
 *     &lt;enumeration value="Concept"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DirectionStatus", namespace = "http://schemas.datacontract.org/2004/07/Evolution.Common")
@XmlEnum
public enum DirectionStatus {

    @XmlEnumValue("Preliminary")
    PRELIMINARY("Preliminary"),
    @XmlEnumValue("In")
    IN("In"),
    @XmlEnumValue("Out")
    OUT("Out"),
    @XmlEnumValue("Concept")
    CONCEPT("Concept");
    private final String value;

    DirectionStatus(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DirectionStatus fromValue(String v) {
        for (DirectionStatus c: DirectionStatus.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
