
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for MeetingDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MeetingDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="AgendaDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfMeetingAgendaDetails" minOccurs="0"/>
 *         &lt;element name="AttendantType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Chairman" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DelegateRole" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Id" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="Location" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MeetingDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Minuts" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfDocumentDetails" minOccurs="0"/>
 *         &lt;element name="NoticeDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="NoticeToAttend" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfDocumentDetails" minOccurs="0"/>
 *         &lt;element name="SecrecyOffline" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SecretaryEmail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SecretaryName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SecretaryPhone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MeetingDetails", propOrder = {
    "agendaDetails",
    "attendantType",
    "chairman",
    "delegateRole",
    "id",
    "location",
    "meetingDate",
    "minuts",
    "noticeDate",
    "noticeToAttend",
    "secrecyOffline",
    "secretaryEmail",
    "secretaryName",
    "secretaryPhone"
})
public class MeetingDetails {

    @XmlElement(name = "AgendaDetails", nillable = true)
    protected ArrayOfMeetingAgendaDetails agendaDetails;
    @XmlElement(name = "AttendantType", nillable = true)
    protected String attendantType;
    @XmlElement(name = "Chairman", nillable = true)
    protected String chairman;
    @XmlElement(name = "DelegateRole", nillable = true)
    protected String delegateRole;
    @XmlElement(name = "Id")
    protected String id;
    @XmlElement(name = "Location", nillable = true)
    protected String location;
    @XmlElement(name = "MeetingDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar meetingDate;
    @XmlElement(name = "Minuts", nillable = true)
    protected ArrayOfDocumentDetails minuts;
    @XmlElement(name = "NoticeDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar noticeDate;
    @XmlElement(name = "NoticeToAttend", nillable = true)
    protected ArrayOfDocumentDetails noticeToAttend;
    @XmlElement(name = "SecrecyOffline", nillable = true)
    protected String secrecyOffline;
    @XmlElement(name = "SecretaryEmail", nillable = true)
    protected String secretaryEmail;
    @XmlElement(name = "SecretaryName", nillable = true)
    protected String secretaryName;
    @XmlElement(name = "SecretaryPhone", nillable = true)
    protected String secretaryPhone;

    /**
     * Gets the value of the agendaDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfMeetingAgendaDetails }
     *     
     */
    public ArrayOfMeetingAgendaDetails getAgendaDetails() {
        return agendaDetails;
    }

    /**
     * Sets the value of the agendaDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfMeetingAgendaDetails }
     *     
     */
    public void setAgendaDetails(ArrayOfMeetingAgendaDetails value) {
        this.agendaDetails = value;
    }

    /**
     * Gets the value of the attendantType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAttendantType() {
        return attendantType;
    }

    /**
     * Sets the value of the attendantType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAttendantType(String value) {
        this.attendantType = value;
    }

    /**
     * Gets the value of the chairman property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChairman() {
        return chairman;
    }

    /**
     * Sets the value of the chairman property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChairman(String value) {
        this.chairman = value;
    }

    /**
     * Gets the value of the delegateRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDelegateRole() {
        return delegateRole;
    }

    /**
     * Sets the value of the delegateRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDelegateRole(String value) {
        this.delegateRole = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocation(String value) {
        this.location = value;
    }

    /**
     * Gets the value of the meetingDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMeetingDate() {
        return meetingDate;
    }

    /**
     * Sets the value of the meetingDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMeetingDate(XMLGregorianCalendar value) {
        this.meetingDate = value;
    }

    /**
     * Gets the value of the minuts property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public ArrayOfDocumentDetails getMinuts() {
        return minuts;
    }

    /**
     * Sets the value of the minuts property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public void setMinuts(ArrayOfDocumentDetails value) {
        this.minuts = value;
    }

    /**
     * Gets the value of the noticeDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getNoticeDate() {
        return noticeDate;
    }

    /**
     * Sets the value of the noticeDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setNoticeDate(XMLGregorianCalendar value) {
        this.noticeDate = value;
    }

    /**
     * Gets the value of the noticeToAttend property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public ArrayOfDocumentDetails getNoticeToAttend() {
        return noticeToAttend;
    }

    /**
     * Sets the value of the noticeToAttend property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public void setNoticeToAttend(ArrayOfDocumentDetails value) {
        this.noticeToAttend = value;
    }

    /**
     * Gets the value of the secrecyOffline property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecrecyOffline() {
        return secrecyOffline;
    }

    /**
     * Sets the value of the secrecyOffline property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecrecyOffline(String value) {
        this.secrecyOffline = value;
    }

    /**
     * Gets the value of the secretaryEmail property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecretaryEmail() {
        return secretaryEmail;
    }

    /**
     * Sets the value of the secretaryEmail property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecretaryEmail(String value) {
        this.secretaryEmail = value;
    }

    /**
     * Gets the value of the secretaryName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecretaryName() {
        return secretaryName;
    }

    /**
     * Sets the value of the secretaryName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecretaryName(String value) {
        this.secretaryName = value;
    }

    /**
     * Gets the value of the secretaryPhone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecretaryPhone() {
        return secretaryPhone;
    }

    /**
     * Sets the value of the secretaryPhone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecretaryPhone(String value) {
        this.secretaryPhone = value;
    }

}
