
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderCaseDocumentsBy.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrderCaseDocumentsBy">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="DocIdAsc"/>
 *     &lt;enumeration value="DocIdDesc"/>
 *     &lt;enumeration value="DescriptionAsc"/>
 *     &lt;enumeration value="DescriptionDesc"/>
 *     &lt;enumeration value="ResponsibleAsc"/>
 *     &lt;enumeration value="ResponsibleDesc"/>
 *     &lt;enumeration value="CreateDateAsc"/>
 *     &lt;enumeration value="CreateDateDesc"/>
 *     &lt;enumeration value="UpdateDateAsc"/>
 *     &lt;enumeration value="UpdateDateDesc"/>
 *     &lt;enumeration value="Unsorted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrderCaseDocumentsBy", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts")
@XmlEnum
public enum OrderCaseDocumentsBy {

    @XmlEnumValue("DocIdAsc")
    DOC_ID_ASC("DocIdAsc"),
    @XmlEnumValue("DocIdDesc")
    DOC_ID_DESC("DocIdDesc"),
    @XmlEnumValue("DescriptionAsc")
    DESCRIPTION_ASC("DescriptionAsc"),
    @XmlEnumValue("DescriptionDesc")
    DESCRIPTION_DESC("DescriptionDesc"),
    @XmlEnumValue("ResponsibleAsc")
    RESPONSIBLE_ASC("ResponsibleAsc"),
    @XmlEnumValue("ResponsibleDesc")
    RESPONSIBLE_DESC("ResponsibleDesc"),
    @XmlEnumValue("CreateDateAsc")
    CREATE_DATE_ASC("CreateDateAsc"),
    @XmlEnumValue("CreateDateDesc")
    CREATE_DATE_DESC("CreateDateDesc"),
    @XmlEnumValue("UpdateDateAsc")
    UPDATE_DATE_ASC("UpdateDateAsc"),
    @XmlEnumValue("UpdateDateDesc")
    UPDATE_DATE_DESC("UpdateDateDesc"),
    @XmlEnumValue("Unsorted")
    UNSORTED("Unsorted");
    private final String value;

    OrderCaseDocumentsBy(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderCaseDocumentsBy fromValue(String v) {
        for (OrderCaseDocumentsBy c: OrderCaseDocumentsBy.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
