package com.nordicpeak.flowengine.externaladdflowinstance;

import se.unlogic.hierarchy.core.beans.SimpleAttribute;
import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.ManyToOne;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

@Table(name = "add_flowinstance_externalrequests_attributes")
@XMLElement(name = "Attribute")
public class AddFlowInstanceRequestAttribute extends SimpleAttribute {
	
	private static final long serialVersionUID = 8352980246886449952L;
	
	@DAOManaged(columnName = "requestKey")
	@Key
	@ManyToOne
	protected AddFlowInstanceRequest addRequest;
	
	public AddFlowInstanceRequestAttribute() {}
	
	public AddFlowInstanceRequestAttribute(String name, String value) {
		
		super(name, value);
	}
	
	public AddFlowInstanceRequest getAddRequest() {
		return addRequest;
	}
	
	public void setAddRequest(AddFlowInstanceRequest addRequest) {
		this.addRequest = addRequest;
	}
	
}
