<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/FlowInstanceAdminModule.sv.xsl"/>
	
	<xsl:include href="FlowInstanceAdmin2ModuleTemplates.xsl"/>
	
	<xsl:variable name="java.anonymousSubmitter">Anonym anvndare</xsl:variable>
	
	<xsl:variable name="i18n.Shortcuts">Verktyg</xsl:variable>
	<xsl:variable name="i18n.BookmarkInstance">Lgg till som flaggad</xsl:variable>
	<xsl:variable name="i18n.BookmarkInstanceRemove">Ta bort frn flaggade</xsl:variable>
	<xsl:variable name="i18n.Choose">Visa</xsl:variable>
	<xsl:variable name="i18n.EmergencyTab">Frfallna</xsl:variable>
	<xsl:variable name="i18n.OwnedTab">Mina</xsl:variable>
	<xsl:variable name="i18n.FlaggedTab">Flaggade</xsl:variable>
	<xsl:variable name="i18n.ActiveTab">Pgende</xsl:variable>
	<xsl:variable name="i18n.AllTab">Alla</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstance">ndra inskickade uppgifter</xsl:variable>
	<xsl:variable name="i18n.PreviewErrorMessage">Ett fel intrffade d rendet skulle visas. Kontakta systemadministratren.</xsl:variable>
	<xsl:variable name="i18n.StealFlowInstance">Ta rendet</xsl:variable>
	<xsl:variable name="i18n.StealHoverText">Stt dig sjlv som handlggare. En befintlig handlggare tas bort frn rendet.</xsl:variable>
	<xsl:variable name="i18n.Details">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.SearchFormTitle">Sk bland renden: rendenr, personnr, organisationsnr etc</xsl:variable>
	<xsl:variable name="i18n.SubmittedBy">Inskickat av</xsl:variable>
	<xsl:variable name="i18n.cancelConfirmUserUpdate">r du sker p att du vill ndra handlggare</xsl:variable>
	<xsl:variable name="i18n.cancelConfirmManagers">Befintliga handlggare kommer tas bort frn valda renden.</xsl:variable>
	<xsl:variable name="i18n.cancelConfirmManagerGroups">Befintliga handlggargrupper kommer tas bort frn valda renden.</xsl:variable>
	<xsl:variable name="i18n.cancelConfirmManagerAndManagerGroups">Befintliga handlggare och handlggargrupper kommer tas bort frn valda renden.</xsl:variable>
		
	<xsl:variable name="i18n.DataTable.decimal">,</xsl:variable>
	<xsl:variable name="i18n.DataTable.emptyTable">Finns inga renden att visa</xsl:variable>
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ renden)</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoPostFix"/>
	<xsl:variable name="i18n.DataTable.thousands"/>
	<xsl:variable name="i18n.DataTable.lengthMenu">Visa _MENU_ renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.loadingRecords">Hmtar renden...</xsl:variable>
	<xsl:variable name="i18n.DataTable.processing">Bearbetar...</xsl:variable>
	<xsl:variable name="i18n.DataTable.search">Filtrera i listan</xsl:variable>
	<xsl:variable name="i18n.DataTable.zeroRecords">Inga matchande renden hittades</xsl:variable>
	<xsl:variable name="i18n.DataTable.fetchError">Ett fel uppstod vid hmtning av renden, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.first">Frsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.last">Sista</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.next">Nsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortAscending">: aktivera fr att sortera kolumnen stigande</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortDescending">: aktivera fr att sortera kolumnen fallande</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.none">Inga rader markerade</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.one">1 rad markerad</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.many">%d rader markerade</xsl:variable>
	
	<xsl:variable name="i18n.Column.Events">Hndelser</xsl:variable>
	<xsl:variable name="i18n.Column.Select">Kryssruta</xsl:variable>
	<xsl:variable name="i18n.Column.InstanceID">rendenr</xsl:variable>
	<xsl:variable name="i18n.Column.ExternalID">Externt rendenr</xsl:variable>
	<xsl:variable name="i18n.Column.Status">Status</xsl:variable>
	<xsl:variable name="i18n.Column.SubmittedDate">Inskickat</xsl:variable>
	<xsl:variable name="i18n.Column.Poster">Inskickare</xsl:variable>
	<xsl:variable name="i18n.Column.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Column.FlowName">rende</xsl:variable>
	<xsl:variable name="i18n.Column.Category">Kategori</xsl:variable>
	<xsl:variable name="i18n.Column.Version">Version</xsl:variable>
	<xsl:variable name="i18n.Column.Version.Short">Ver.</xsl:variable>
	<xsl:variable name="i18n.Column.SiteProfile">Kommun</xsl:variable>
	<xsl:variable name="i18n.Column.Managers">Handlggare</xsl:variable>
	
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.StealFlowInstance.Button">Ta renden</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.Button">ndra handlggare</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Button">ndra status</xsl:variable>
	<xsl:variable name="i18n.NothingSelected">Du mste markera minst ett rende.</xsl:variable>
	<xsl:variable name="i18n.ReloadTab">Ladda om fliken</xsl:variable>
	<xsl:variable name="i18n.Validation.MultipleFlowsSelected">Du fr endast vlja en e-tjnst och version i taget.</xsl:variable>
	<xsl:variable name="i18n.Validation.MultipleFlowFamiliesSelected">Du fr endast vlja renden frn en e-tjnst i taget.</xsl:variable>
	<xsl:variable name="i18n.Validation.MultipleProfilesSelected">Du fr endast vlja renden frn en profil/kommun i taget.</xsl:variable>
	<xsl:variable name="i18n.Validation.MultipleFlowFamiliesOrProfilesSelected">Du fr endast vlja renden frn en e-tjnst och en profil/kommun i taget.</xsl:variable>
	<xsl:variable name="i18n.Validation.RequiresInternalSelection">Du fr endast vlja renden frn denna installation fr den hr tgrden.</xsl:variable>
	<xsl:variable name="i18n.Validation.Steal">Du kommer att bli satt som handlggare p rendena. Vill du fortstta?</xsl:variable>
	<xsl:variable name="i18n.Validation.StealExistingManagers">Befintliga handlggare kommer att tas bort frn rendena och du kommer bli satt som handlggare istllet. Vill du fortstta?</xsl:variable>
	
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Title">ndra rendestatus fr valda renden frn e-tjnst</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.description.1">Du har valt</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.description.2">renden att ndra status p. Statusar som krver signering gr inte att vlja.</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.attributeText">Observera att attributens vrden inte gr att frhandsgranska i meddelandena via denna vy d vrden kan skilja sig frn rende till rende. Om du vill kunna frhandsgranska meddelandet med rendespecifika attributvrden s fr du i stllet g in p varje separat rende och drifrn skicka meddelandena ett och ett.</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Submit">ndra status</xsl:variable>
	<xsl:variable name="i18n.Validation.StatusNotFound">Den valda statusen hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.InvalidStatus">Du har valt en ogiltig status.</xsl:variable>
	
	<xsl:variable name="i18n.AddFlowInstanceManagers.Title">ndra handlggare fr e-tjnst</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.1">Du har valt</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.2">renden att ndra handlggare p.</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.extra.1">Befintliga handlggare p valda renden kan ej visas hr.</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.extra.2">renden som fr en frndring av handlggare eller handlggargrupp kommer att uppdateras. renden som inte fr en frndring av handlggare eller handlggargrupp kommer inte att uppdateras.</xsl:variable>
	
	<xsl:variable name="i18n.AddFlowInstanceManagers.Submit">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.Options">Alternativ</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.RemoveExistingManagers">Ta bort befintliga handlggare</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.RemoveExistingManagerGroups">Ta bort befintliga handlggargrupper</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.NewManagers">Nya handlggare</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.NewGroups">Nya handlggargrupper (endast grupper med begrnsad behrighet kan vljas)</xsl:variable>
	<xsl:variable name="i18n.Validation.NoManagerSelected">Du mste vlja minst en handlggare eller ta bort handlggare/handlggargrupp</xsl:variable>
	
	<xsl:variable name="i18n.TableSettings">Instllningar</xsl:variable>
	<xsl:variable name="i18n.EditTableSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.TableSettings.Title">Instllningar</xsl:variable>
	<xsl:variable name="i18n.TableSettings.Description">Markera de kolumner du vill ha aktiva i rendeversikten och spara. Dra i raderna fr att ndra ordning.</xsl:variable>
	<xsl:variable name="i18n.TableSettings.OpenInstanceDescription">Vlj hur ett rende som klickas i listan ska ppnas.</xsl:variable>
	<xsl:variable name="i18n.TableSettings.OpenInNewTab">ppna rende i ny flik</xsl:variable>
	<xsl:variable name="i18n.TableSettings.OpenInCurrentTab">ppna rende i samma flik</xsl:variable>
	<xsl:variable name="i18n.TableSettings.DisplayManagerDescription">Vlj hur handlggare ska visas i listan.</xsl:variable>
	<xsl:variable name="i18n.TableSettings.DisplayManagersFullName">Fr- och efternamn</xsl:variable>
	<xsl:variable name="i18n.TableSettings.DisplayManagersUsername">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.TableSettings.Save">Spara</xsl:variable>
	<xsl:variable name="i18n.TableSettings.Reset">terstll standard</xsl:variable>
	<xsl:variable name="i18n.MoveColumnOrder">ndra ordning</xsl:variable>
	
	<xsl:variable name="i18n.MessageTemplates.choose">Meddelandemallar</xsl:variable>
	<xsl:variable name="i18n.ExternalMessages.Description">Hr kan du som handlggare skicka meddelande till rendets skande.</xsl:variable>
	<xsl:variable name="i18n.InternalMessages.Description">Dessa noteringar kan endast ses av behriga handlggare.</xsl:variable>

	<xsl:variable name="i18n.VerifyAttachedFiles">Bekrfta bifogade filer</xsl:variable>
	
	<xsl:variable name="i18n.Filter.Flow.Select">Visa alla e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Filter.Status.Select">Visa alla statusar</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.From">Frn och med</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.To">Till och med</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.All">Visa alla datum</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.OneMonthBack">En mnad bakt</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.ThreeMonthsBack">Tre mnader bakt</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.SixMonthsBack">Sex mnader bakt</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.CustomInterval">Eget intervall</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.Save">Spara</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.NotSet">Ett datum mste anges</xsl:variable>
	<xsl:variable name="i18n.Filter.Date.DateFormat">Felaktigt datumformat</xsl:variable>
	
	<xsl:variable name="i18n.FormSubmitProgress.UpdateStatus.Heading">ndrar status</xsl:variable>
	<xsl:variable name="i18n.FormSubmitProgress.UpdateStatus.Text">rende {current} av {total}</xsl:variable>
	
	<xsl:variable name="i18n.ScrollToTop">Till toppen</xsl:variable>
	
</xsl:stylesheet>
