package com.nordicpeak.flowengine.flowinstanceadmin2.interfaces;

import java.util.List;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.beans.FlowInstance;
import com.nordicpeak.flowengine.flowinstanceadmin2.beans.UserManagableFlowInstanceCounts;
import com.nordicpeak.flowengine.flowinstanceadmin2.enums.InstanceFilter;


public interface ManagableFlowInstanceProvider {

	List<FlowInstance> getFlowInstances(InstanceFilter instanceFilter, User user);
	UserManagableFlowInstanceCounts getFlowInstanceCounts(User user);
	
}
