
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AdressplatsanmarkningstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AdressplatsanmarkningstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Angringsplats fr taxi"/>
 *     &lt;enumeration value="Busshllplats"/>
 *     &lt;enumeration value="Jrnvgsstation/hllplats"/>
 *     &lt;enumeration value="Kajplats"/>
 *     &lt;enumeration value="Sprvagnshllplats"/>
 *     &lt;enumeration value="Stoppstlle fr postutdelning"/>
 *     &lt;enumeration value="Tunnelbanestationsnedgng"/>
 *     &lt;enumeration value="vrig anmrkning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AdressplatsanmarkningstypType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1")
@XmlEnum
public enum AdressplatsanmarkningstypType {

    @XmlEnumValue("Ang\u00f6ringsplats f\u00f6r taxi")
    ANGRINGSPLATS_FR_TAXI("Ang\u00f6ringsplats f\u00f6r taxi"),
    @XmlEnumValue("Bussh\u00e5llplats")
    BUSSHLLPLATS("Bussh\u00e5llplats"),
    @XmlEnumValue("J\u00e4rnv\u00e4gsstation/h\u00e5llplats")
    JRNVGSSTATION_HLLPLATS("J\u00e4rnv\u00e4gsstation/h\u00e5llplats"),
    @XmlEnumValue("Kajplats")
    KAJPLATS("Kajplats"),
    @XmlEnumValue("Sp\u00e5rvagnsh\u00e5llplats")
    SPRVAGNSHLLPLATS("Sp\u00e5rvagnsh\u00e5llplats"),
    @XmlEnumValue("Stoppst\u00e4lle f\u00f6r postutdelning")
    STOPPSTLLE_FR_POSTUTDELNING("Stoppst\u00e4lle f\u00f6r postutdelning"),
    @XmlEnumValue("Tunnelbanestationsnedg\u00e5ng")
    TUNNELBANESTATIONSNEDGNG("Tunnelbanestationsnedg\u00e5ng"),
    @XmlEnumValue("\u00d6vrig anm\u00e4rkning")
    VRIG_ANMRKNING("\u00d6vrig anm\u00e4rkning");
    private final String value;

    AdressplatsanmarkningstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AdressplatsanmarkningstypType fromValue(String v) {
        for (AdressplatsanmarkningstypType c: AdressplatsanmarkningstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
