
package se.lantmateriet.namespace.distribution.produkter.byggnad.v2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import net.opengis.gml._3.CurveArrayPropertyType;
import net.opengis.gml._3.GeometryArrayPropertyType;
import net.opengis.gml._3.PointArrayPropertyType;
import net.opengis.gml._3.SurfaceArrayPropertyType;
import se.lantmateriet.namespace.distribution.produkter.common.FaultType;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the test package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory extends se.lantmateriet.namespace.distribution.produkter.common.ObjectFactory {

    private final static QName _IdRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "IdRequest");
    private final static QName _Samhallsfunktion_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Samhallsfunktion");
    private final static QName _ByggnadResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "ByggnadResponse");
    private final static QName _Verksamhet_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Verksamhet");
    private final static QName _Industri_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Industri");
    private final static QName _Byggnad_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Byggnad");
    private final static QName _Komplementbyggnad_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Komplementbyggnad");
    private final static QName _OvrigByggnad_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "OvrigByggnad");
    private final static QName _ByggnadsreferensResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "ByggnadsreferensResponse");
    private final static QName _Ekonomibyggnad_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Ekonomibyggnad");
    private final static QName _GeometriRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "GeometriRequest");
    private final static QName _Byggnadsandamal_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Byggnadsandamal");
    private final static QName _Bostad_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", "Bostad");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: test
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ResultatType }
     * 
     */
    public ResultatType createResultatType() {
        return new ResultatType();
    }

    /**
     * Create an instance of {@link FaultType }
     * 
     */
    @Override
	public FaultType createFaultType() {
        return new FaultType();
    }

    /**
     * Create an instance of {@link IndustriType }
     * 
     */
    public IndustriType createIndustriType() {
        return new IndustriType();
    }

    /**
     * Create an instance of {@link ByggnadsnamnType }
     * 
     */
    public ByggnadsnamnType createByggnadsnamnType() {
        return new ByggnadsnamnType();
    }

    /**
     * Create an instance of {@link ByggnadsytaType }
     * 
     */
    public ByggnadsytaType createByggnadsytaType() {
        return new ByggnadsytaType();
    }

    /**
     * Create an instance of {@link IdRequestType }
     * 
     */
    public IdRequestType createIdRequestType() {
        return new IdRequestType();
    }

    /**
     * Create an instance of {@link EkonomibyggnadType }
     * 
     */
    public EkonomibyggnadType createEkonomibyggnadType() {
        return new EkonomibyggnadType();
    }

    /**
     * Create an instance of {@link VerksamhetType }
     * 
     */
    public VerksamhetType createVerksamhetType() {
        return new VerksamhetType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensType }
     * 
     */
    public RegisterenhetsreferensType createRegisterenhetsreferensType() {
        return new RegisterenhetsreferensType();
    }

    /**
     * Create an instance of {@link EntreType }
     * 
     */
    public EntreType createEntreType() {
        return new EntreType();
    }

    /**
     * Create an instance of {@link SkyddsrumType }
     * 
     */
    public SkyddsrumType createSkyddsrumType() {
        return new SkyddsrumType();
    }

    /**
     * Create an instance of {@link ByggnadsattributType }
     * 
     */
    public ByggnadsattributType createByggnadsattributType() {
        return new ByggnadsattributType();
    }

    /**
     * Create an instance of {@link CurveArrayPropertyType }
     * 
     */
    @Override
	public CurveArrayPropertyType createCurveArrayPropertyType() {
        return new CurveArrayPropertyType();
    }

    /**
     * Create an instance of {@link ByggnadType }
     * 
     */
    public ByggnadType createByggnadType() {
        return new ByggnadType();
    }

    /**
     * Create an instance of {@link ByggnadsreferensType }
     * 
     */
    public ByggnadsreferensType createByggnadsreferensType() {
        return new ByggnadsreferensType();
    }

    /**
     * Create an instance of {@link ByggnadMemberType }
     * 
     */
    public ByggnadMemberType createByggnadMemberType() {
        return new ByggnadMemberType();
    }

    /**
     * Create an instance of {@link ByggnadResponseType }
     * 
     */
    public ByggnadResponseType createByggnadResponseType() {
        return new ByggnadResponseType();
    }

    /**
     * Create an instance of {@link GeometryArrayPropertyType }
     * 
     */
    @Override
	public GeometryArrayPropertyType createGeometryArrayPropertyType() {
        return new GeometryArrayPropertyType();
    }

    /**
     * Create an instance of {@link BostadType }
     * 
     */
    public BostadType createBostadType() {
        return new BostadType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensPropertyType }
     * 
     */
    public RegisterenhetsreferensPropertyType createRegisterenhetsreferensPropertyType() {
        return new RegisterenhetsreferensPropertyType();
    }

    /**
     * Create an instance of {@link GeometriRequestType }
     * 
     */
    public GeometriRequestType createGeometriRequestType() {
        return new GeometriRequestType();
    }

    /**
     * Create an instance of {@link OvrigByggnadType }
     * 
     */
    public OvrigByggnadType createOvrigByggnadType() {
        return new OvrigByggnadType();
    }

    /**
     * Create an instance of {@link ByggnadsreferensResponseType }
     * 
     */
    public ByggnadsreferensResponseType createByggnadsreferensResponseType() {
        return new ByggnadsreferensResponseType();
    }

    /**
     * Create an instance of {@link PointArrayPropertyType }
     * 
     */
    @Override
	public PointArrayPropertyType createPointArrayPropertyType() {
        return new PointArrayPropertyType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensArrayPropertyType }
     * 
     */
    public RegisterenhetsreferensArrayPropertyType createRegisterenhetsreferensArrayPropertyType() {
        return new RegisterenhetsreferensArrayPropertyType();
    }

    /**
     * Create an instance of {@link KomplementbyggnadType }
     * 
     */
    public KomplementbyggnadType createKomplementbyggnadType() {
        return new KomplementbyggnadType();
    }

    /**
     * Create an instance of {@link ByggnadsanmarkningType }
     * 
     */
    public ByggnadsanmarkningType createByggnadsanmarkningType() {
        return new ByggnadsanmarkningType();
    }

    /**
     * Create an instance of {@link VarderingsenhetType }
     * 
     */
    public VarderingsenhetType createVarderingsenhetType() {
        return new VarderingsenhetType();
    }

    /**
     * Create an instance of {@link SamhallsfunktionType }
     * 
     */
    public SamhallsfunktionType createSamhallsfunktionType() {
        return new SamhallsfunktionType();
    }

    /**
     * Create an instance of {@link ByggnadsdelType }
     * 
     */
    public ByggnadsdelType createByggnadsdelType() {
        return new ByggnadsdelType();
    }

    /**
     * Create an instance of {@link LagesnoggrannhetType }
     * 
     */
    public LagesnoggrannhetType createLagesnoggrannhetType() {
        return new LagesnoggrannhetType();
    }

    /**
     * Create an instance of {@link SurfaceArrayPropertyType }
     * 
     */
    @Override
	public SurfaceArrayPropertyType createSurfaceArrayPropertyType() {
        return new SurfaceArrayPropertyType();
    }

    /**
     * Create an instance of {@link TaxeringsenhetType }
     * 
     */
    public TaxeringsenhetType createTaxeringsenhetType() {
        return new TaxeringsenhetType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "IdRequest")
    public JAXBElement<IdRequestType> createIdRequest(IdRequestType value) {
        return new JAXBElement<IdRequestType>(_IdRequest_QNAME, IdRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SamhallsfunktionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Samhallsfunktion", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<SamhallsfunktionType> createSamhallsfunktion(SamhallsfunktionType value) {
        return new JAXBElement<SamhallsfunktionType>(_Samhallsfunktion_QNAME, SamhallsfunktionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ByggnadResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "ByggnadResponse", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<ByggnadResponseType> createByggnadResponse(ByggnadResponseType value) {
        return new JAXBElement<ByggnadResponseType>(_ByggnadResponse_QNAME, ByggnadResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerksamhetType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Verksamhet", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<VerksamhetType> createVerksamhet(VerksamhetType value) {
        return new JAXBElement<VerksamhetType>(_Verksamhet_QNAME, VerksamhetType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IndustriType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Industri", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<IndustriType> createIndustri(IndustriType value) {
        return new JAXBElement<IndustriType>(_Industri_QNAME, IndustriType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ByggnadType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Byggnad", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<ByggnadType> createByggnad(ByggnadType value) {
        return new JAXBElement<ByggnadType>(_Byggnad_QNAME, ByggnadType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KomplementbyggnadType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Komplementbyggnad", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<KomplementbyggnadType> createKomplementbyggnad(KomplementbyggnadType value) {
        return new JAXBElement<KomplementbyggnadType>(_Komplementbyggnad_QNAME, KomplementbyggnadType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OvrigByggnadType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "OvrigByggnad", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<OvrigByggnadType> createOvrigByggnad(OvrigByggnadType value) {
        return new JAXBElement<OvrigByggnadType>(_OvrigByggnad_QNAME, OvrigByggnadType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ByggnadsreferensResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "ByggnadsreferensResponse")
    public JAXBElement<ByggnadsreferensResponseType> createByggnadsreferensResponse(ByggnadsreferensResponseType value) {
        return new JAXBElement<ByggnadsreferensResponseType>(_ByggnadsreferensResponse_QNAME, ByggnadsreferensResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EkonomibyggnadType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Ekonomibyggnad", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<EkonomibyggnadType> createEkonomibyggnad(EkonomibyggnadType value) {
        return new JAXBElement<EkonomibyggnadType>(_Ekonomibyggnad_QNAME, EkonomibyggnadType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GeometriRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "GeometriRequest")
    public JAXBElement<GeometriRequestType> createGeometriRequest(GeometriRequestType value) {
        return new JAXBElement<GeometriRequestType>(_GeometriRequest_QNAME, GeometriRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ByggnadsandamalType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Byggnadsandamal")
    public JAXBElement<ByggnadsandamalType> createByggnadsandamal(ByggnadsandamalType value) {
        return new JAXBElement<ByggnadsandamalType>(_Byggnadsandamal_QNAME, ByggnadsandamalType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BostadType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", name = "Bostad", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", substitutionHeadName = "Byggnadsandamal")
    public JAXBElement<BostadType> createBostad(BostadType value) {
        return new JAXBElement<BostadType>(_Bostad_QNAME, BostadType.class, null, value);
    }

}
