
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for KopeskillingstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="KopeskillingstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Ingen kpeskilling redovisas"/>
 *     &lt;enumeration value="Avser hela fastigheten"/>
 *     &lt;enumeration value="Avser ven annan fastighet"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "KopeskillingstypType")
@XmlEnum
public enum KopeskillingstypType {

    @XmlEnumValue("Ingen k\u00f6peskilling redovisas")
    INGEN_KPESKILLING_REDOVISAS("Ingen k\u00f6peskilling redovisas"),
    @XmlEnumValue("Avser hela fastigheten")
    AVSER_HELA_FASTIGHETEN("Avser hela fastigheten"),
    @XmlEnumValue("Avser \u00e4ven annan fastighet")
    AVSER_VEN_ANNAN_FASTIGHET("Avser \u00e4ven annan fastighet");
    private final String value;

    KopeskillingstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static KopeskillingstypType fromValue(String v) {
        for (KopeskillingstypType c: KopeskillingstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
