
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ServitutsandamalType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ServitutsandamalType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Altan"/>
 *     &lt;enumeration value="Avloppsledning"/>
 *     &lt;enumeration value="Badplats"/>
 *     &lt;enumeration value="Bergvrme"/>
 *     &lt;enumeration value="Bete"/>
 *     &lt;enumeration value="Brandmur"/>
 *     &lt;enumeration value="Brunn"/>
 *     &lt;enumeration value="Brygga"/>
 *     &lt;enumeration value="Byggnad"/>
 *     &lt;enumeration value="Btplats"/>
 *     &lt;enumeration value="Dike"/>
 *     &lt;enumeration value="Elledning"/>
 *     &lt;enumeration value="Fiske"/>
 *     &lt;enumeration value="Fjrrvrmeledning"/>
 *     &lt;enumeration value="Grundvattenskydd"/>
 *     &lt;enumeration value="Grundvattentkt"/>
 *     &lt;enumeration value="Grustkt"/>
 *     &lt;enumeration value="Grnomrde"/>
 *     &lt;enumeration value="Jakt"/>
 *     &lt;enumeration value="Jordvrme"/>
 *     &lt;enumeration value="Kraftledning"/>
 *     &lt;enumeration value="Lertkt"/>
 *     &lt;enumeration value="Linbana"/>
 *     &lt;enumeration value="Omrde"/>
 *     &lt;enumeration value="Optokabel"/>
 *     &lt;enumeration value="Parkering"/>
 *     &lt;enumeration value="Sandtkt"/>
 *     &lt;enumeration value="Skog"/>
 *     &lt;enumeration value="Sltter"/>
 *     &lt;enumeration value="Soptipp"/>
 *     &lt;enumeration value="Stentkt"/>
 *     &lt;enumeration value="Strand"/>
 *     &lt;enumeration value="Tele"/>
 *     &lt;enumeration value="Torvtkt"/>
 *     &lt;enumeration value="Transformatorstation"/>
 *     &lt;enumeration value="Tvttstuga"/>
 *     &lt;enumeration value="Tngtkt"/>
 *     &lt;enumeration value="Uppdmning"/>
 *     &lt;enumeration value="Upplagsplats"/>
 *     &lt;enumeration value="Utsikt"/>
 *     &lt;enumeration value="VA-ledningar"/>
 *     &lt;enumeration value="Vatten"/>
 *     &lt;enumeration value="Vattenkraft"/>
 *     &lt;enumeration value="Vattenledning"/>
 *     &lt;enumeration value="Villa"/>
 *     &lt;enumeration value="Vg"/>
 *     &lt;enumeration value="Vrmecentral"/>
 *     &lt;enumeration value="Vrmeledning"/>
 *     &lt;enumeration value="Ytvattenskydd"/>
 *     &lt;enumeration value="Ytvattentkt"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ServitutsandamalType")
@XmlEnum
public enum ServitutsandamalType {

    @XmlEnumValue("Altan")
    ALTAN("Altan"),
    @XmlEnumValue("Avloppsledning")
    AVLOPPSLEDNING("Avloppsledning"),
    @XmlEnumValue("Badplats")
    BADPLATS("Badplats"),
    @XmlEnumValue("Bergv\u00e4rme")
    BERGVRME("Bergv\u00e4rme"),
    @XmlEnumValue("Bete")
    BETE("Bete"),
    @XmlEnumValue("Brandmur")
    BRANDMUR("Brandmur"),
    @XmlEnumValue("Brunn")
    BRUNN("Brunn"),
    @XmlEnumValue("Brygga")
    BRYGGA("Brygga"),
    @XmlEnumValue("Byggnad")
    BYGGNAD("Byggnad"),
    @XmlEnumValue("B\u00e5tplats")
    BTPLATS("B\u00e5tplats"),
    @XmlEnumValue("Dike")
    DIKE("Dike"),
    @XmlEnumValue("Elledning")
    ELLEDNING("Elledning"),
    @XmlEnumValue("Fiske")
    FISKE("Fiske"),
    @XmlEnumValue("Fj\u00e4rrv\u00e4rmeledning")
    FJRRVRMELEDNING("Fj\u00e4rrv\u00e4rmeledning"),
    @XmlEnumValue("Grundvattenskydd")
    GRUNDVATTENSKYDD("Grundvattenskydd"),
    @XmlEnumValue("Grundvattent\u00e4kt")
    GRUNDVATTENTKT("Grundvattent\u00e4kt"),
    @XmlEnumValue("Grust\u00e4kt")
    GRUSTKT("Grust\u00e4kt"),
    @XmlEnumValue("Gr\u00f6nomr\u00e5de")
    GRNOMRDE("Gr\u00f6nomr\u00e5de"),
    @XmlEnumValue("Jakt")
    JAKT("Jakt"),
    @XmlEnumValue("Jordv\u00e4rme")
    JORDVRME("Jordv\u00e4rme"),
    @XmlEnumValue("Kraftledning")
    KRAFTLEDNING("Kraftledning"),
    @XmlEnumValue("Lert\u00e4kt")
    LERTKT("Lert\u00e4kt"),
    @XmlEnumValue("Linbana")
    LINBANA("Linbana"),
    @XmlEnumValue("Omr\u00e5de")
    OMRDE("Omr\u00e5de"),
    @XmlEnumValue("Optokabel")
    OPTOKABEL("Optokabel"),
    @XmlEnumValue("Parkering")
    PARKERING("Parkering"),
    @XmlEnumValue("Sandt\u00e4kt")
    SANDTKT("Sandt\u00e4kt"),
    @XmlEnumValue("Skog")
    SKOG("Skog"),
    @XmlEnumValue("Sl\u00e5tter")
    SLTTER("Sl\u00e5tter"),
    @XmlEnumValue("Soptipp")
    SOPTIPP("Soptipp"),
    @XmlEnumValue("Stent\u00e4kt")
    STENTKT("Stent\u00e4kt"),
    @XmlEnumValue("Strand")
    STRAND("Strand"),
    @XmlEnumValue("Tele")
    TELE("Tele"),
    @XmlEnumValue("Torvt\u00e4kt")
    TORVTKT("Torvt\u00e4kt"),
    @XmlEnumValue("Transformatorstation")
    TRANSFORMATORSTATION("Transformatorstation"),
    @XmlEnumValue("Tv\u00e4ttstuga")
    TVTTSTUGA("Tv\u00e4ttstuga"),
    @XmlEnumValue("T\u00e5ngt\u00e4kt")
    TNGTKT("T\u00e5ngt\u00e4kt"),
    @XmlEnumValue("Uppd\u00e4mning")
    UPPDMNING("Uppd\u00e4mning"),
    @XmlEnumValue("Upplagsplats")
    UPPLAGSPLATS("Upplagsplats"),
    @XmlEnumValue("Utsikt")
    UTSIKT("Utsikt"),
    @XmlEnumValue("VA-ledningar")
    VA_LEDNINGAR("VA-ledningar"),
    @XmlEnumValue("Vatten")
    VATTEN("Vatten"),
    @XmlEnumValue("Vattenkraft")
    VATTENKRAFT("Vattenkraft"),
    @XmlEnumValue("Vattenledning")
    VATTENLEDNING("Vattenledning"),
    @XmlEnumValue("Villa")
    VILLA("Villa"),
    @XmlEnumValue("V\u00e4g")
    VG("V\u00e4g"),
    @XmlEnumValue("V\u00e4rmecentral")
    VRMECENTRAL("V\u00e4rmecentral"),
    @XmlEnumValue("V\u00e4rmeledning")
    VRMELEDNING("V\u00e4rmeledning"),
    @XmlEnumValue("Ytvattenskydd")
    YTVATTENSKYDD("Ytvattenskydd"),
    @XmlEnumValue("Ytvattent\u00e4kt")
    YTVATTENTKT("Ytvattent\u00e4kt");
    private final String value;

    ServitutsandamalType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ServitutsandamalType fromValue(String v) {
        for (ServitutsandamalType c: ServitutsandamalType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
