
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AldreBeteckningsstatusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AldreBeteckningsstatusType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Gllande"/>
 *     &lt;enumeration value="Omregistrerad"/>
 *     &lt;enumeration value="Reserverad"/>
 *     &lt;enumeration value="Sprrad"/>
 *     &lt;enumeration value="Ej entydig"/>
 *     &lt;enumeration value="Referensbeteckning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AldreBeteckningsstatusType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4")
@XmlEnum
public enum AldreBeteckningsstatusType {

    @XmlEnumValue("G\u00e4llande")
    GLLANDE("G\u00e4llande"),
    @XmlEnumValue("Omregistrerad")
    OMREGISTRERAD("Omregistrerad"),
    @XmlEnumValue("Reserverad")
    RESERVERAD("Reserverad"),
    @XmlEnumValue("Sp\u00e4rrad")
    SPRRAD("Sp\u00e4rrad"),
    @XmlEnumValue("Ej entydig")
    EJ_ENTYDIG("Ej entydig"),
    @XmlEnumValue("Referensbeteckning")
    REFERENSBETECKNING("Referensbeteckning");
    private final String value;

    AldreBeteckningsstatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AldreBeteckningsstatusType fromValue(String v) {
        for (AldreBeteckningsstatusType c: AldreBeteckningsstatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
