
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AldreTidigareRegisterbeteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AldreTidigareRegisterbeteckningType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="beteckningsid" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}BeteckningsidType"/>
 *         &lt;element name="beteckningsniva1" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="beteckningsniva2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="beteckningsniva3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="beteckningsniva4" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="omregistreringsdatum" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="omregistreringslopnummer" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="omregistreringsaktbeteckning" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="markering" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AldreTidigareRegisterbeteckningType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", propOrder = {
    "beteckningsid",
    "beteckningsniva1",
    "beteckningsniva2",
    "beteckningsniva3",
    "beteckningsniva4",
    "omregistreringsdatum",
    "omregistreringslopnummer",
    "omregistreringsaktbeteckning"
})
public class AldreTidigareRegisterbeteckningType {

    @XmlElement(required = true)
    protected String beteckningsid;
    @XmlElement(required = true)
    protected String beteckningsniva1;
    protected String beteckningsniva2;
    protected String beteckningsniva3;
    @XmlElement(required = true)
    protected String beteckningsniva4;
    protected String omregistreringsdatum;
    protected Integer omregistreringslopnummer;
    protected String omregistreringsaktbeteckning;
    @XmlAttribute
    protected Boolean markering;

    /**
     * Gets the value of the beteckningsid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsid() {
        return beteckningsid;
    }

    /**
     * Sets the value of the beteckningsid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsid(String value) {
        this.beteckningsid = value;
    }

    /**
     * Gets the value of the beteckningsniva1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsniva1() {
        return beteckningsniva1;
    }

    /**
     * Sets the value of the beteckningsniva1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsniva1(String value) {
        this.beteckningsniva1 = value;
    }

    /**
     * Gets the value of the beteckningsniva2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsniva2() {
        return beteckningsniva2;
    }

    /**
     * Sets the value of the beteckningsniva2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsniva2(String value) {
        this.beteckningsniva2 = value;
    }

    /**
     * Gets the value of the beteckningsniva3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsniva3() {
        return beteckningsniva3;
    }

    /**
     * Sets the value of the beteckningsniva3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsniva3(String value) {
        this.beteckningsniva3 = value;
    }

    /**
     * Gets the value of the beteckningsniva4 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsniva4() {
        return beteckningsniva4;
    }

    /**
     * Sets the value of the beteckningsniva4 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsniva4(String value) {
        this.beteckningsniva4 = value;
    }

    /**
     * Gets the value of the omregistreringsdatum property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOmregistreringsdatum() {
        return omregistreringsdatum;
    }

    /**
     * Sets the value of the omregistreringsdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOmregistreringsdatum(String value) {
        this.omregistreringsdatum = value;
    }

    /**
     * Gets the value of the omregistreringslopnummer property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOmregistreringslopnummer() {
        return omregistreringslopnummer;
    }

    /**
     * Sets the value of the omregistreringslopnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOmregistreringslopnummer(Integer value) {
        this.omregistreringslopnummer = value;
    }

    /**
     * Gets the value of the omregistreringsaktbeteckning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOmregistreringsaktbeteckning() {
        return omregistreringsaktbeteckning;
    }

    /**
     * Sets the value of the omregistreringsaktbeteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOmregistreringsaktbeteckning(String value) {
        this.omregistreringsaktbeteckning = value;
    }

    /**
     * Gets the value of the markering property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isMarkering() {
        if (markering == null) {
            return false;
        } else {
            return markering;
        }
    }

    /**
     * Sets the value of the markering property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMarkering(Boolean value) {
        this.markering = value;
    }

}
