<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="PUDQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Ange adress eller fastighetsbeteckning</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Ange adress eller fastighetsbeteckning har koppling till Lantmteriet och anvnds fr att baserat p adress och/eller fastighetsbeteckning ska fram giltig fastighetsbeteckning frn Lantmteriets register.
	</xsl:variable>
	<xsl:variable name="java.lmUserSettingName">Anvndare Lantmteriet</xsl:variable>
	<xsl:variable name="java.lmUserSettingDescription">Anvndare som anvnds fr anrop mot lantmteriet via Search LM</xsl:variable>
	<xsl:variable name="java.searchPrefixSettingName">Skprefix</xsl:variable>
	<xsl:variable name="java.searchPrefixSettingDescription">Skprefix som anvnds vid anrop mot lantmteriet via Serch LM</xsl:variable>
	<xsl:variable name="java.isPopulatedAlternativeName">Fastighet eller address vald</xsl:variable>
	<xsl:variable name="java.isNotPopulatedAlternativeName">Ej ifylld</xsl:variable>
	
	<xsl:variable name="i18n.PUDQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	<xsl:variable name="i18n.AllowedSearchServices">Sktjnster</xsl:variable>
	<xsl:variable name="i18n.AllowedSearchServicesDescription">Vlj vilka sktjnster som skall finnas tillgnglig fr den hr frgan</xsl:variable>
	<xsl:variable name="i18n.NoSearchService">Du mste vlja minst en sktjnst</xsl:variable>
	
	<xsl:variable name="i18n.PUD">Sk via fastighetsbeteckning</xsl:variable>
	<xsl:variable name="i18n.Address">Sk via adress</xsl:variable>
	<xsl:variable name="i18n.useAddressAsResult">Anvnd adress som resultat</xsl:variable>
	<xsl:variable name="i18n.usePUDAsResult">Anvnd fastighetsbeteckning som resultat</xsl:variable>
	<xsl:variable name="i18n.useAllAsResult">Anvnd adress och fastighetsbeteckning som resultat</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributnamn</xsl:variable>
	
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.address}</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.attributes.legacy">Fastighetsbeteckning eller adress om valt som resultat ovan</xsl:variable>
	<xsl:variable name="i18n.attributes.address">Adress</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyUnitDesignation">Fastighetsbeteckning</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyUnitDesignationNoMunicipality">Fastighetsbeteckning utan kommunnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyObjectIdentity">Fastighetens objektsidentitet</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyUnitNumber">Fastighetsnyckel</xsl:variable>
	
</xsl:stylesheet>
