<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryCommon.sv.xsl"/>
	<xsl:include href="PersonQueryTemplates.xsl"/>
	
	<xsl:variable name="i18n.CitizenID">Personnummer</xsl:variable>
	<xsl:variable name="i18n.CitizenIDWithFormat">Personnummer (MMDDXXXX)</xsl:variable>
	<xsl:variable name="i18n.Firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.Lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.FirstnameAndLastname">Fr- och efternamn</xsl:variable>
	<xsl:variable name="i18n.CareOf">c/o</xsl:variable>
	<xsl:variable name="i18n.Address">Adress</xsl:variable>
	<xsl:variable name="i18n.ZipCode">Postnummer</xsl:variable>
	<xsl:variable name="i18n.PostalAddress">Ort</xsl:variable>
	<xsl:variable name="i18n.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.Phone">Mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.Lookup">Hmta uppgifter</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.RequiredField">Det hr fltet r obligatoriskt!</xsl:variable>
	<xsl:variable name="i18n.ValidationError.TooLongFieldContent.part1">Innehllet i det hr fltet r </xsl:variable>
	<xsl:variable name="i18n.ValidationError.TooLongFieldContent.part2"> tecken vilket verskrider maxgrnsen p </xsl:variable>
	<xsl:variable name="i18n.ValidationError.TooLongFieldContent.part3"> tecken!</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InvalidFormat">Felaktigt format p fltet</xsl:variable>
	<xsl:variable name="i18n.ValidationError.BlockPosterSelection">Det r inte tilltet att ska p sitt eget personnummer.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.UnknownValidationError">Ett oknt valideringsfel har uppsttt!</xsl:variable>
	<xsl:variable name="i18n.ValidationError.PersonNotFound">Ingen person hittades p personnumret!</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ProviderError">Fel uppstod vid frsk att sl upp personen, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.EmailOrPhoneRequired">Du mste fylla i e-post eller mobiltelefon.</xsl:variable>
	
	<xsl:variable name="i18n.Error.UnknownError">Ett oknt fel uppstod vid frsk att sl upp personen, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.Error.MaxLookupsReached.Part1">Du har slagit upp fr mnga olika personer, det r endast tilltet att gra</xsl:variable>
	<xsl:variable name="i18n.Error.MaxLookupsReached.Part2">slagningar</xsl:variable>
	
	<xsl:variable name="i18n.ZipCodeAndPostalAddress">Postnummer och ort</xsl:variable>
</xsl:stylesheet>
