package com.nordicpeak.flowengine.queue.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

@XMLElement(name = "validationError")
public class InvalidRecipientPhoneNumberValidationError extends ValidationError {

	private static final long serialVersionUID = -4101204184901139461L;

	@XMLElement
	private QueueSlot slot;

	@XMLElement
	private String phoneNumber;

	public InvalidRecipientPhoneNumberValidationError(QueueSlot slot, String phoneNumber) {

		super("InvalidRecipientPhoneNumber");

		this.slot = slot;
		this.phoneNumber = phoneNumber;
	}

	public QueueSlot getSlot() {

		return slot;
	}
}
