$(function() {
	
	setQueryRequiredFunctions["RatingScaleQueryInstance"] = makeRatingScaleQueryRequired;
	
});

function initRatingScaleQuery(queryID) {
	
	var $query = $("#query_" + queryID);
	
	if($query.hasClass("enableAjaxPosting")) {
		
		$query.find("input[type='radio']").on("change", function() {
			
			runRatingScaleEvaluators($(this), queryID);
			
		});
		
	}
}

function runRatingScaleEvaluators($this, queryID) {
	
	var parameters = {};
	
	var $inputWrapper = $this.parent().parent();
	
	$inputWrapper.find(".alternative input[type='radio']:checked").each(function () {
		
		var $radiobutton = $(this);
		
		parameters[$radiobutton.attr("name")] = $radiobutton.val();
	});
	
	runQueryEvaluators(queryID, parameters);
	
}

function makeRatingScaleQueryRequired(queryID) {
	
	$("#query_" + queryID).find(".heading-wrapper h2").addClass("required");
	
}