
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbt.foretag.Postadress;


/**
 * Juridisk person postadress.
 * 
 * <p>Java class for ud0003 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0003">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Postadress" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0003", propOrder = {
    "postadress",
    "fel"
})
public class Ud0003
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "Postadress", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected Postadress postadress;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the postadress property.
     * 
     * @return
     *     possible object is
     *     {@link Postadress }
     *     
     */
    public Postadress getPostadress() {
        return postadress;
    }

    /**
     * Sets the value of the postadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link Postadress }
     *     
     */
    public void setPostadress(Postadress value) {
        this.postadress = value;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
