
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbt.foretag.Belagenhetsadress;


/**
 * Belgenhetsadress till fretaget.
 * 
 * <p>Java class for ud0040 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0040">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Belagenhetsadress" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0040", propOrder = {
    "belagenhetsadress",
    "fel"
})
public class Ud0040
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "Belagenhetsadress", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected Belagenhetsadress belagenhetsadress;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the belagenhetsadress property.
     * 
     * @return
     *     possible object is
     *     {@link Belagenhetsadress }
     *     
     */
    public Belagenhetsadress getBelagenhetsadress() {
        return belagenhetsadress;
    }

    /**
     * Sets the value of the belagenhetsadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link Belagenhetsadress }
     *     
     */
    public void setBelagenhetsadress(Belagenhetsadress value) {
        this.belagenhetsadress = value;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
