package com.nordicpeak.flowengine.queries.ssbt;

import java.io.Serializable;

import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.interfaces.ImmutableAlternative;

@XMLElement
public class UDAlternative extends GeneratedElementable implements ImmutableAlternative, Serializable {

	private static final long serialVersionUID = 9161936495890361281L;

	@XMLElement
	private final Integer id;
	
	@XMLElement
	private final String name;
	
	public UDAlternative(Integer id, String name) {
		super();
		this.id = id;
		this.name = name;
	}

	@Override
	public Integer getAlternativeID() {

		return id;
	}

	@Override
	public String getName() {

		return name;
	}

	@Override
	public String getExportXMLValue() {

		return name;
	}

	@Override
	public String getAttributeValue() {

		return null;
	}
}
