package com.nordicpeak.flowengine.evaluators.setweightfromparameterevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetWeightFromParameterEvaluatorCRUD extends BaseEvaluatorCRUD<SetWeightFromParameterEvaluator, SetWeightFromParameterEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<SetWeightFromParameterEvaluator> POPULATOR = new AnnotatedRequestPopulator<SetWeightFromParameterEvaluator>(SetWeightFromParameterEvaluator.class);

	public SetWeightFromParameterEvaluatorCRUD(Class<SetWeightFromParameterEvaluator> beanClass, AnnotatedDAOWrapper<SetWeightFromParameterEvaluator, Integer> evaluatorDAO, SetWeightFromParameterEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetWeightFromParameterEvaluator", "change query state from parameter evaluator", null, callback);
	}

}
