package com.nordicpeak.flowengine.queries.userlistquery.beans;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

@XMLElement(name = "validationError")
public class NoCitizenIDValidationError extends ValidationError {
	
	private static final long serialVersionUID = 5864618324565470524L;
	@XMLElement
	private final StoredListUser user;
	
	public NoCitizenIDValidationError(StoredListUser listUser) {
		super("NoCitizenID");
		
		this.user = listUser;
	}
	
	public StoredListUser getUser() {
		return user;
	}
	
}
