package com.nordicpeak.flowengine.queries.usertreequery.interfaces;

import java.util.List;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.queries.usertreequery.beans.TreeNode;
import com.nordicpeak.flowengine.queries.usertreequery.beans.TreeUser;

public interface UserTreeQueryDataProvider {

	public String getTreeName();

	public String getTreeID();

	public TreeNode getTree();
	
	public List<TreeUser> getUsers(String nodeKey);
	
	public User getLocalUser(String providerUserID);

}
