<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="classpath://com/nordicpeak/flowengine/evaluators/common/xsl/EvaluatorAdminCommon.sv.xsl"/>
	<xsl:include href="SetWeightByUserAgeEvaluationProviderModuleTemplates.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.evaluatorTypeName">Stt vikt baserat p skandes lder</xsl:variable>
	
	<xsl:variable name="i18n.UpdateEvaluatorDescriptor.title">Uppdatera regel</xsl:variable>
	<xsl:variable name="i18n.description">Denna regel styr vikt utifrn skandes lder.</xsl:variable>
	<xsl:variable name="i18n.weight">Vikt</xsl:variable>
	<xsl:variable name="i18n.weightType">Typ av vikt</xsl:variable>
	<xsl:variable name="i18n.submit">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.age.title">Tillten lder</xsl:variable>
	<xsl:variable name="i18n.age.description">Ange inom vilket ldersintervall som anvndaren i frga mste ligga inom fr att regeln ska kras. Det rcker med att fylla i ett av flten.</xsl:variable>
	<xsl:variable name="i18n.minAge">Minsta tilltna lder</xsl:variable>
	<xsl:variable name="i18n.maxAge">Hgsta tilltna lder</xsl:variable>
	<xsl:variable name="i18n.calculationMode.title">Berkning av lder</xsl:variable>
	<xsl:variable name="i18n.calculationMode.description">Ange hur ldern ska berknas.</xsl:variable>
	<xsl:variable name="i18n.calculateBasedOnYearOnly">Berkna lder baserat p fdelser</xsl:variable>
	<xsl:variable name="i18n.calculateBasedOnFullDate">Berkna lder baserat p fdelsedatum</xsl:variable>
	
	<xsl:variable name="i18n.validation.MinAgeBiggerThanMaxAge">Minsta tilltna lder kan inte vara strre n hgsta tilltna lder</xsl:variable>
	<xsl:variable name="i18n.validation.NoAgeRangeSpecified">Du mste fylla i minst ett av ldersflten</xsl:variable>
	
	<xsl:variable name="i18n.attribute">Attribut</xsl:variable>
	<xsl:variable name="i18n.attribute.setIfAgeInRange">Stt attribut om anvndarens lder r inom intervallet</xsl:variable>
	<xsl:variable name="i18n.attribute.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attribute.value">Attributvrde</xsl:variable>
	
</xsl:stylesheet>
